/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KFUNC_CALL_FAIL_SKEL_H__
#define __KFUNC_CALL_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct kfunc_call_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *kfunc_syscall_test_fail;
		struct bpf_program *kfunc_syscall_test_null_fail;
		struct bpf_program *kfunc_call_test_get_mem_fail_rdonly;
		struct bpf_program *kfunc_call_test_get_mem_fail_use_after_free;
		struct bpf_program *kfunc_call_test_get_mem_fail_oob;
		struct bpf_program *kfunc_call_test_get_mem_fail_not_const;
		struct bpf_program *kfunc_call_test_mem_acquire_fail;
		struct bpf_program *kfunc_call_test_pointer_arg_type_mismatch;
	} progs;
	struct {
		struct bpf_link *kfunc_syscall_test_fail;
		struct bpf_link *kfunc_syscall_test_null_fail;
		struct bpf_link *kfunc_call_test_get_mem_fail_rdonly;
		struct bpf_link *kfunc_call_test_get_mem_fail_use_after_free;
		struct bpf_link *kfunc_call_test_get_mem_fail_oob;
		struct bpf_link *kfunc_call_test_get_mem_fail_not_const;
		struct bpf_link *kfunc_call_test_mem_acquire_fail;
		struct bpf_link *kfunc_call_test_pointer_arg_type_mismatch;
	} links;
	struct kfunc_call_fail__data {
		int not_const_size;
	} *data;

#ifdef __cplusplus
	static inline struct kfunc_call_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kfunc_call_fail *open_and_load();
	static inline int load(struct kfunc_call_fail *skel);
	static inline int attach(struct kfunc_call_fail *skel);
	static inline void detach(struct kfunc_call_fail *skel);
	static inline void destroy(struct kfunc_call_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kfunc_call_fail__destroy(struct kfunc_call_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kfunc_call_fail__create_skeleton(struct kfunc_call_fail *obj);

static inline struct kfunc_call_fail *
kfunc_call_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kfunc_call_fail *obj;
	int err;

	obj = (struct kfunc_call_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kfunc_call_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kfunc_call_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kfunc_call_fail *
kfunc_call_fail__open(void)
{
	return kfunc_call_fail__open_opts(NULL);
}

static inline int
kfunc_call_fail__load(struct kfunc_call_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kfunc_call_fail *
kfunc_call_fail__open_and_load(void)
{
	struct kfunc_call_fail *obj;
	int err;

	obj = kfunc_call_fail__open();
	if (!obj)
		return NULL;
	err = kfunc_call_fail__load(obj);
	if (err) {
		kfunc_call_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kfunc_call_fail__attach(struct kfunc_call_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kfunc_call_fail__detach(struct kfunc_call_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kfunc_call_fail__elf_bytes(size_t *sz);

static inline int
kfunc_call_fail__create_skeleton(struct kfunc_call_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kfunc_call_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "kfunc_ca.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kfunc_syscall_test_fail";
	s->progs[0].prog = &obj->progs.kfunc_syscall_test_fail;
	s->progs[0].link = &obj->links.kfunc_syscall_test_fail;

	s->progs[1].name = "kfunc_syscall_test_null_fail";
	s->progs[1].prog = &obj->progs.kfunc_syscall_test_null_fail;
	s->progs[1].link = &obj->links.kfunc_syscall_test_null_fail;

	s->progs[2].name = "kfunc_call_test_get_mem_fail_rdonly";
	s->progs[2].prog = &obj->progs.kfunc_call_test_get_mem_fail_rdonly;
	s->progs[2].link = &obj->links.kfunc_call_test_get_mem_fail_rdonly;

	s->progs[3].name = "kfunc_call_test_get_mem_fail_use_after_free";
	s->progs[3].prog = &obj->progs.kfunc_call_test_get_mem_fail_use_after_free;
	s->progs[3].link = &obj->links.kfunc_call_test_get_mem_fail_use_after_free;

	s->progs[4].name = "kfunc_call_test_get_mem_fail_oob";
	s->progs[4].prog = &obj->progs.kfunc_call_test_get_mem_fail_oob;
	s->progs[4].link = &obj->links.kfunc_call_test_get_mem_fail_oob;

	s->progs[5].name = "kfunc_call_test_get_mem_fail_not_const";
	s->progs[5].prog = &obj->progs.kfunc_call_test_get_mem_fail_not_const;
	s->progs[5].link = &obj->links.kfunc_call_test_get_mem_fail_not_const;

	s->progs[6].name = "kfunc_call_test_mem_acquire_fail";
	s->progs[6].prog = &obj->progs.kfunc_call_test_mem_acquire_fail;
	s->progs[6].link = &obj->links.kfunc_call_test_mem_acquire_fail;

	s->progs[7].name = "kfunc_call_test_pointer_arg_type_mismatch";
	s->progs[7].prog = &obj->progs.kfunc_call_test_pointer_arg_type_mismatch;
	s->progs[7].link = &obj->links.kfunc_call_test_pointer_arg_type_mismatch;

	s->data = kfunc_call_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kfunc_call_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x58\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x73\x79\
\x73\x63\x61\x6c\x6c\0\x3f\x74\x63\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x66\x61\x69\x6c\x2e\x63\
\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\
\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\x6e\x5f\x70\x61\x73\x73\x31\0\x6b\
\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6e\
\x75\x6c\x6c\x5f\x66\x61\x69\x6c\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x72\
\x64\x6f\x6e\x6c\x79\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\
\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x75\x69\x72\x65\0\x62\x70\x66\x5f\x6b\x66\
\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\
\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\
\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x6b\x66\
\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\
\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x75\x73\x65\x5f\x61\x66\x74\x65\x72\x5f\x66\
\x72\x65\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\
\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x77\x72\x5f\x6d\x65\x6d\0\x6b\x66\x75\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\
\x6d\x5f\x66\x61\x69\x6c\x5f\x6f\x6f\x62\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\
\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\0\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\
\x5f\x73\x69\x7a\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x6d\x65\x6d\x5f\x61\x63\x71\x75\x69\x72\x65\x5f\x66\x61\x69\x6c\0\x62\
\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\
\x61\x63\x71\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\x66\x5f\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x69\x6e\x74\x5f\x6d\x65\x6d\x5f\x72\
\x65\x6c\x65\x61\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x61\x72\x67\x5f\x74\x79\x70\x65\
\x5f\x6d\x69\x73\x6d\x61\x74\x63\x68\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\
\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x70\x61\x73\x73\x5f\x63\x74\x78\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x73\x79\x73\x63\x61\x6c\x6c\
\0\x2e\x72\x65\x6c\x3f\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\x04\0\xff\
\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\x12\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x56\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x78\x12\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\
\x95\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\xb9\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xf8\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x14\x12\0\0\x04\0\0\
\0\0\0\0\0\x90\0\0\0\0\0\0\0\xa8\0\0\x01\x40\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\x61\x12\0\0\x04\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\0\x88\0\0\x01\
\x82\x12\0\0\x04\0\0\0\0\0\0\x01\xc0\0\0\0\0\0\0\0\x98\0\0\x01\xa9\x11\0\0\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\xb8\x12\0\0\x04\0\0\0\0\0\0\x02\x58\
\0\0\0\0\0\0\0\x98\0\0\x01\xd9\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\xfc\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1b\x12\0\0\x04\0\0\
\0\0\0\0\x02\xf0\0\0\0\0\0\0\0\x20\0\0\x02\x45\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\x62\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb4\x20\0\
\0\0\0\0\x19\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb4\x20\0\0\0\0\0\x18\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x7a\xa0\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\
\xf8\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\xb4\x70\0\0\0\0\0\0\x15\
\x60\0\x09\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x08\x85\x01\0\0\xff\
\xff\xff\xff\xb4\x70\0\0\xff\xff\xff\xff\x15\0\0\x02\0\0\0\0\x62\0\0\0\0\0\0\
\x2a\xb4\x70\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\
\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x7a\xa0\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\
\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x15\x60\0\x0d\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\
\x08\x85\x01\0\0\xff\xff\xff\xff\x55\0\0\x04\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\
\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\xff\xff\xff\xff\x05\0\0\x05\0\0\0\0\x62\0\0\
\0\0\0\0\x2a\xbf\x16\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x61\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x7a\xa0\xff\xf8\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\
\0\0\0\xb4\x70\0\0\0\0\0\0\x15\x60\0\x08\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\
\0\0\0\0\x08\x85\x01\0\0\xff\xff\xff\xff\xb4\x70\0\0\xff\xff\xff\xff\x15\0\0\
\x01\0\0\0\0\x61\x70\0\x20\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xbc\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x7a\xa0\xff\xf8\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\
\0\0\0\xb4\x70\0\0\0\0\0\0\x15\x60\0\x0a\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x21\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\
\x70\0\0\xff\xff\xff\xff\x15\0\0\x01\0\0\0\0\x61\x70\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x7a\
\xa0\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\
\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\xb4\x70\0\0\0\0\0\0\x15\x60\0\x0a\0\0\0\
\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x08\x85\x01\0\0\xff\xff\xff\xff\xb4\
\x70\0\0\xff\xff\xff\xff\x15\0\0\x01\0\0\0\0\x61\x70\0\0\0\0\0\0\xbf\x10\0\0\0\
\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xbc\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x0a\x85\x01\0\0\
\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\x08\x47\x50\x4c\0\0\
\0\0\0\0\0\0\x08\0\0\0\x05\0\0\0\x0a\0\0\0\0\0\0\0\x28\0\0\0\x05\0\0\0\x0a\0\0\
\0\0\0\0\0\x18\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\0\x48\0\0\0\x09\0\0\0\x0a\0\0\0\
\0\0\0\0\x78\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\0\xa8\0\0\0\x08\0\0\0\x0a\0\0\0\0\
\0\0\0\xd8\0\0\0\x0c\0\0\0\x0a\0\0\0\0\0\0\0\xf0\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\
\0\x01\x20\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\x01\x50\0\0\0\x08\0\0\0\x0a\0\0\0\0\
\0\0\x01\x80\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x01\xa8\0\0\0\x0a\0\0\0\x0a\0\0\0\
\0\0\0\x01\xd8\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\x01\xf8\0\0\0\x0f\0\0\0\x01\0\0\
\0\0\0\0\x02\x18\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x02\x40\0\0\0\x0a\0\0\0\x0a\0\
\0\0\0\0\0\x02\x70\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\x02\xa0\0\0\0\x11\0\0\0\x0a\
\0\0\0\0\0\0\x02\xc8\0\0\0\x12\0\0\0\x0a\0\0\0\0\0\0\x02\xd8\0\0\0\x0a\0\0\0\
\x0a\0\0\0\0\0\0\x02\xf8\0\0\0\x14\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\
\0\x06\x80\0\0\x06\x80\0\0\x08\x80\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\
\0\x02\0\0\0\x18\0\0\0\x13\0\0\0\x05\0\0\0\0\0\0\0\x18\0\0\0\x07\0\0\0\x80\0\0\
\0\x1d\x08\0\0\0\0\0\0\x04\0\0\0\x22\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x10\0\0\0\x30\x01\0\0\0\0\0\0\x04\0\0\
\0\x20\0\0\0\x44\x08\0\0\0\0\0\0\x08\0\0\0\x4b\x08\0\0\0\0\0\0\x09\0\0\0\x5b\
\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x0b\0\0\0\x69\0\0\0\
\x01\0\0\0\x6e\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x72\x0c\0\0\x01\0\0\0\x0a\
\0\0\0\0\x0d\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\x0b\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\x8a\x0c\0\0\x02\0\0\0\x0d\0\0\0\xac\x0c\0\0\x01\0\0\0\x0a\0\
\0\0\0\x02\0\0\0\0\0\0\x12\0\0\0\xc9\x04\0\0\x22\0\0\0\xc0\0\0\0\xd3\0\0\0\x13\
\0\0\0\0\0\0\0\xd7\0\0\0\x13\0\0\0\x20\0\0\0\xe0\0\0\0\x13\0\0\0\x40\0\0\0\xe5\
\0\0\0\x13\0\0\0\x60\0\0\0\xf3\0\0\0\x13\0\0\0\x80\0\0\0\xfc\0\0\0\x13\0\0\0\
\xa0\0\0\x01\x09\0\0\0\x13\0\0\0\xc0\0\0\x01\x12\0\0\0\x13\0\0\0\xe0\0\0\x01\
\x1d\0\0\0\x13\0\0\x01\0\0\0\x01\x26\0\0\0\x13\0\0\x01\x20\0\0\x01\x36\0\0\0\
\x13\0\0\x01\x40\0\0\x01\x3e\0\0\0\x13\0\0\x01\x60\0\0\x01\x47\0\0\0\x15\0\0\
\x01\x80\0\0\x01\x4a\0\0\0\x13\0\0\x02\x20\0\0\x01\x4f\0\0\0\x13\0\0\x02\x40\0\
\0\0\x13\0\0\0\x13\0\0\x02\x60\0\0\x01\x5a\0\0\0\x13\0\0\x02\x80\0\0\x01\x63\0\
\0\0\x13\0\0\x02\xa0\0\0\x01\x6b\0\0\0\x13\0\0\x02\xc0\0\0\x01\x72\0\0\0\x13\0\
\0\x02\xe0\0\0\x01\x7d\0\0\0\x13\0\0\x03\0\0\0\x01\x87\0\0\0\x16\0\0\x03\x20\0\
\0\x01\x92\0\0\0\x16\0\0\x03\xa0\0\0\x01\x9c\0\0\0\x13\0\0\x04\x20\0\0\x01\xa8\
\0\0\0\x13\0\0\x04\x40\0\0\x01\xb3\0\0\0\x13\0\0\x04\x60\0\0\0\0\0\0\0\x17\0\0\
\x04\x80\0\0\x01\xbd\0\0\0\x19\0\0\x04\xc0\0\0\x01\xc4\0\0\0\x13\0\0\x05\0\0\0\
\x01\xcd\0\0\0\x13\0\0\x05\x20\0\0\0\0\0\0\0\x1b\0\0\x05\x40\0\0\x01\xd6\0\0\0\
\x13\0\0\x05\x80\0\0\x01\xdf\0\0\0\x03\0\0\x05\xa0\0\0\x01\xeb\0\0\0\x19\0\0\
\x05\xc0\0\0\x01\xf4\x08\0\0\0\0\0\0\x14\0\0\x01\xfa\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\x06\0\0\0\x05\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x13\0\0\0\x06\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x02\
\x07\0\0\0\x18\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x40\0\0\x02\x11\x08\0\0\0\0\0\0\
\x1a\0\0\x02\x17\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\
\0\x02\x2a\0\0\0\x1c\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x3f\0\0\0\0\x0d\0\0\x01\0\
\0\0\x0b\0\0\x02\x2d\0\0\0\x11\0\0\x02\x31\x0c\0\0\x01\0\0\0\x1d\0\0\0\0\x0d\0\
\0\x01\0\0\0\x20\0\0\0\0\0\0\0\x28\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\x02\x55\x04\
\0\0\x05\0\0\0\x20\0\0\x02\x69\0\0\0\x0b\0\0\0\0\0\0\x02\x6b\0\0\0\x0b\0\0\0\
\x20\0\0\x02\x6d\0\0\0\x22\0\0\0\x40\0\0\x02\x72\0\0\0\x20\0\0\0\x80\0\0\x02\
\x77\0\0\0\x24\0\0\0\xc0\0\0\x02\x7b\x04\0\0\x02\0\0\0\x08\0\0\x02\x8c\0\0\0\
\x23\0\0\0\0\0\0\x02\x8e\0\0\0\x0b\0\0\0\x20\0\0\x02\x90\x04\0\0\x01\0\0\0\x04\
\0\0\x02\x69\0\0\0\x0b\0\0\0\0\0\0\x02\xa2\x08\0\0\0\0\0\0\x25\0\0\x02\xad\x04\
\0\0\x01\0\0\0\x04\0\0\x02\xbd\0\0\0\x26\0\0\0\0\0\0\x02\xc2\x08\0\0\0\0\0\0\
\x27\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x02\xcb\0\0\0\x0b\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\x09\0\0\x02\xd3\x0c\0\0\x02\0\0\0\x1f\0\0\0\0\x0d\0\0\x02\0\0\0\x2b\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\0\x0a\0\
\0\0\0\0\0\x0b\0\0\x02\xef\x0c\0\0\x02\0\0\0\x2a\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x20\0\0\x03\x12\x0c\0\0\x02\0\0\0\x2e\0\0\x03\x2e\x0c\0\0\x01\0\0\
\0\x1d\0\0\x03\x5a\x0c\0\0\x02\0\0\0\x2a\0\0\x03\x7b\x0c\0\0\x01\0\0\0\x1d\0\0\
\x03\x9c\x0c\0\0\x01\0\0\0\x1d\0\0\x03\xc3\x0c\0\0\x01\0\0\0\x1d\0\0\x03\xe4\
\x0c\0\0\x02\0\0\0\x2a\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\x04\
\x07\x0c\0\0\x02\0\0\0\x36\0\0\x04\x26\x0c\0\0\x01\0\0\0\x1d\0\0\0\0\x0d\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\x04\x50\x0c\0\0\x02\0\0\0\x39\0\0\x04\x6d\
\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\x04\x7c\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x06\0\0\0\x04\0\0\x04\x81\x0e\0\0\0\0\0\
\0\x3d\0\0\0\x01\0\0\x04\x8a\x07\0\0\0\0\0\0\0\0\0\x04\x93\x07\0\0\0\0\0\0\0\0\
\0\x08\x5e\x0f\0\0\x01\0\0\0\x04\0\0\0\x3b\0\0\0\0\0\0\0\x04\0\0\x08\x64\x0f\0\
\0\x01\0\0\0\x04\0\0\0\x3e\0\0\0\0\0\0\0\x04\0\0\x08\x6c\x0f\0\0\x08\0\0\0\0\0\
\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\0\0\
\0\0\x2f\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\0\0\0\0\0\0\
\0\0\x37\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\0\0\0\0\0\0\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x61\x72\x67\x73\0\x64\x61\x74\x61\0\x73\x69\x7a\
\x65\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x73\x69\x7a\x65\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x73\x69\x7a\x65\
\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x61\x72\x67\
\x73\0\x69\x6e\x74\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\
\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\x6e\x5f\x70\
\x61\x73\x73\x31\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x74\
\x65\x73\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\x61\x69\x6c\0\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\
\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\
\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\
\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\
\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\
\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\
\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\
\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\
\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\
\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\
\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x73\x6b\0\x73\x6b\x62\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\
\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x72\x64\
\x6f\x6e\x6c\x79\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\
\x66\x75\x6e\x63\0\x61\0\x62\0\x6d\x65\x6d\x62\0\x6e\x65\x78\x74\0\x63\x6e\x74\
\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x62\x65\x72\0\x6d\0\x63\
\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x62\x65\x72\x31\0\x72\
\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\
\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\
\x6f\x75\x6e\x74\x65\x72\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x75\x69\x72\x65\0\x62\x70\x66\x5f\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\
\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\
\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\
\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x75\x73\x65\x5f\x61\x66\x74\x65\x72\x5f\
\x66\x72\x65\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x77\x72\x5f\x6d\x65\x6d\0\x6b\x66\
\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\
\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x6f\x6f\x62\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\
\x6c\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x61\x63\x71\x75\x69\x72\x65\
\x5f\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\
\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\
\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x69\x6e\x74\
\x5f\x6d\x65\x6d\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x61\x72\
\x67\x5f\x74\x79\x70\x65\x5f\x6d\x69\x73\x6d\x61\x74\x63\x68\0\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x70\x61\x73\
\x73\x5f\x63\x74\x78\0\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\x5f\x73\x69\x7a\x65\
\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\
\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\
\x31\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\
\x5f\x66\x61\x69\x6c\x2e\x63\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\x6e\x5f\x70\x61\
\x73\x73\x31\x28\x26\x61\x72\x67\x73\x2d\x3e\x64\x61\x74\x61\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x2a\x61\x72\x67\x73\x29\x20\x2b\x20\x31\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\
\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\x6e\x5f\x70\
\x61\x73\x73\x31\x28\x61\x72\x67\x73\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\
\x61\x72\x67\x73\x29\x29\x3b\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x73\x20\x3d\x20\x30\x3b\0\x09\x70\x74\x20\x3d\x20\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\
\x75\x69\x72\x65\x28\x26\x73\x29\x3b\0\x09\x69\x66\x20\x28\x70\x74\x29\x20\x7b\
\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\
\x65\x6d\x28\x70\x74\x2c\x20\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\
\x6e\x74\x29\x29\x3b\0\x09\x09\x69\x66\x20\x28\x70\x29\0\x09\x09\x09\x70\x5b\
\x30\x5d\x20\x3d\x20\x34\x32\x3b\x20\x2f\x2a\x20\x74\x68\x69\x73\x20\x69\x73\
\x20\x61\x20\x72\x65\x61\x64\x2d\x6f\x6e\x6c\x79\x20\x62\x75\x66\x66\x65\x72\
\x2c\x20\x73\x6f\x20\x2d\x45\x41\x43\x43\x45\x53\x20\x2a\x2f\0\x09\x09\x62\x70\
\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\
\x65\x6c\x65\x61\x73\x65\x28\x70\x74\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x72\x65\x74\x3b\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\
\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x77\x72\
\x5f\x6d\x65\x6d\x28\x70\x74\x2c\x20\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x69\x6e\x74\x29\x29\x3b\0\x09\x09\x69\x66\x20\x28\x70\x29\x20\x7b\0\x09\
\x69\x66\x20\x28\x70\x29\0\x09\x09\x09\x70\x5b\x30\x5d\x20\x3d\x20\x34\x32\x3b\
\0\x09\x09\x72\x65\x74\x20\x3d\x20\x70\x5b\x30\x5d\x3b\x20\x2f\x2a\x20\x70\x20\
\x69\x73\x20\x6e\x6f\x74\x20\x76\x61\x6c\x69\x64\x20\x61\x6e\x79\x6d\x6f\x72\
\x65\x20\x2a\x2f\0\x09\x09\x09\x72\x65\x74\x20\x3d\x20\x70\x5b\x32\x20\x2a\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x69\x6e\x74\x29\x5d\x3b\x20\x2f\x2a\x20\x6f\x6f\
\x62\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x73\x6f\x20\x2d\x45\x41\x43\x43\x45\
\x53\x20\x2a\x2f\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\
\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x6f\x6e\
\x6c\x79\x5f\x6d\x65\x6d\x28\x70\x74\x2c\x20\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\
\x74\x5f\x73\x69\x7a\x65\x29\x3b\x20\x2f\x2a\x20\x6e\x6f\x6e\x20\x63\x6f\x6e\
\x73\x74\x20\x73\x69\x7a\x65\x2c\x20\x2d\x45\x49\x4e\x56\x41\x4c\x20\x2a\x2f\0\
\x09\x09\x09\x72\x65\x74\x20\x3d\x20\x70\x5b\x30\x5d\x3b\0\x09\x09\x70\x20\x3d\
\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x61\x63\x71\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\x28\x70\x74\
\x2c\x20\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x6e\x74\x29\x29\x3b\0\
\x09\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x69\x6e\
\x74\x5f\x6d\x65\x6d\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x70\x29\x3b\0\x09\x62\
\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\
\x70\x61\x73\x73\x5f\x63\x74\x78\x28\x28\x76\x6f\x69\x64\x20\x2a\x29\x31\x30\
\x29\x3b\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\
\x6d\x73\0\x3f\x73\x79\x73\x63\x61\x6c\x6c\0\x3f\x74\x63\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\x03\x44\0\0\x03\x98\0\0\0\0\0\0\0\x08\0\0\
\x08\x73\0\0\0\x02\0\0\0\0\0\0\0\x0c\0\0\0\x20\0\0\0\x10\0\0\x08\x7c\0\0\0\x06\
\0\0\0\0\0\0\0\x1e\0\0\0\x90\0\0\0\x30\0\0\x01\x38\0\0\0\x32\0\0\x01\xc0\0\0\0\
\x33\0\0\x02\x58\0\0\0\x34\0\0\x02\xf0\0\0\0\x38\0\0\0\x10\0\0\x08\x73\0\0\0\
\x04\0\0\0\0\0\0\x04\xa1\0\0\x05\x1e\0\0\x3c\x02\0\0\0\x10\0\0\x04\xa1\0\0\x05\
\x62\0\0\x44\x02\0\0\0\x20\0\0\x04\xa1\0\0\x05\x6d\0\0\x84\x02\0\0\0\x30\0\0\
\x04\xa1\0\0\x05\x62\0\0\x8c\x02\0\0\x08\x7c\0\0\0\x2f\0\0\0\0\0\0\x04\xa1\0\0\
\x05\xa6\0\0\xa8\x10\0\0\0\x18\0\0\x04\xa1\0\0\x05\xbc\0\0\xb8\x07\0\0\0\x30\0\
\0\x04\xa1\0\0\x05\xe3\0\0\xbc\x06\0\0\0\x38\0\0\x04\xa1\0\0\x05\xee\0\0\xc0\
\x07\0\0\0\x58\0\0\x04\xa1\0\0\x06\x2d\0\0\xc4\x07\0\0\0\x60\0\0\x04\xa1\0\0\
\x06\x36\0\0\xc8\x09\0\0\0\x70\0\0\x04\xa1\0\0\x06\x71\0\0\xd8\x03\0\0\0\x80\0\
\0\x04\xa1\0\0\x06\x94\0\0\xe0\x02\0\0\0\x90\0\0\x04\xa1\0\0\x05\xa6\0\0\xfc\
\x10\0\0\0\xa8\0\0\x04\xa1\0\0\x05\xbc\0\x01\x0c\x07\0\0\0\xc0\0\0\x04\xa1\0\0\
\x05\xe3\0\x01\x10\x06\0\0\0\xc8\0\0\x04\xa1\0\0\x06\xa1\0\x01\x14\x07\0\0\0\
\xe0\0\0\x04\xa1\0\0\x06\xde\0\x01\x18\x07\0\0\0\xe8\0\0\x04\xa1\0\0\x06\x71\0\
\x01\x34\x03\0\0\x01\0\0\0\x04\xa1\0\0\x06\xe9\0\x01\x3c\x06\0\0\x01\x08\0\0\
\x04\xa1\0\0\x06\xf1\0\x01\x1c\x09\0\0\x01\x10\0\0\x04\xa1\0\0\x06\x71\0\x01\
\x34\x03\0\0\x01\x28\0\0\x04\xa1\0\0\x06\xff\0\x01\x40\x09\0\0\x01\x30\0\0\x04\
\xa1\0\0\x06\x94\0\x01\x48\x02\0\0\x01\x38\0\0\x04\xa1\0\0\x05\xa6\0\x01\x64\
\x10\0\0\x01\x50\0\0\x04\xa1\0\0\x05\xbc\0\x01\x74\x07\0\0\x01\x68\0\0\x04\xa1\
\0\0\x05\xe3\0\x01\x78\x06\0\0\x01\x70\0\0\x04\xa1\0\0\x05\xee\0\x01\x7c\x07\0\
\0\x01\x90\0\0\x04\xa1\0\0\x06\x2d\0\x01\x80\x07\0\0\x01\x98\0\0\x04\xa1\0\0\
\x07\x2a\0\x01\x84\x0a\0\0\x01\xa0\0\0\x04\xa1\0\0\x06\x71\0\x01\x94\x03\0\0\
\x01\xb0\0\0\x04\xa1\0\0\x06\x94\0\x01\x9c\x02\0\0\x01\xc0\0\0\x04\xa1\0\0\x05\
\xa6\0\x01\xc0\x10\0\0\x01\xd8\0\0\x04\xa1\0\0\x05\xbc\0\x01\xd0\x07\0\0\x01\
\xf0\0\0\x04\xa1\0\0\x05\xe3\0\x01\xd4\x06\0\0\x01\xf8\0\0\x04\xa1\0\0\x07\x64\
\0\x01\xd8\x2e\0\0\x02\x10\0\0\x04\xa1\0\0\x07\x64\0\x01\xd8\x07\0\0\x02\x28\0\
\0\x04\xa1\0\0\x06\x2d\0\x01\xdc\x07\0\0\x02\x30\0\0\x04\xa1\0\0\x07\xc0\0\x01\
\xe0\x0a\0\0\x02\x38\0\0\x04\xa1\0\0\x06\x71\0\x01\xf0\x03\0\0\x02\x48\0\0\x04\
\xa1\0\0\x06\x94\0\x01\xf8\x02\0\0\x02\x58\0\0\x04\xa1\0\0\x05\xa6\0\x02\x14\
\x10\0\0\x02\x70\0\0\x04\xa1\0\0\x05\xbc\0\x02\x24\x07\0\0\x02\x88\0\0\x04\xa1\
\0\0\x05\xe3\0\x02\x28\x06\0\0\x02\x90\0\0\x04\xa1\0\0\x07\xcf\0\x02\x30\x07\0\
\0\x02\xb0\0\0\x04\xa1\0\0\x06\x2d\0\x02\x34\x07\0\0\x02\xb8\0\0\x04\xa1\0\0\
\x07\xc0\0\x02\x38\x0a\0\0\x02\xc0\0\0\x04\xa1\0\0\x08\x0e\0\x02\x48\x03\0\0\
\x02\xd0\0\0\x04\xa1\0\0\x06\x71\0\x02\x50\x03\0\0\x02\xe0\0\0\x04\xa1\0\0\x06\
\x94\0\x02\x58\x02\0\0\x02\xf0\0\0\x04\xa1\0\0\x08\x33\0\x02\x70\x02\0\0\x03\0\
\0\0\x04\xa1\0\0\x05\x62\0\x02\x74\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\x02\x8e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xd0\0\0\0\0\0\
\0\x02\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xe0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x20\0\0\0\0\0\0\x03\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\x34\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\x02\x6b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x38\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x02\x78\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x58\0\0\0\0\0\0\x01\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x02\x80\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x88\
\0\0\0\0\0\0\x0f\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\
\x85\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\xa0\0\0\0\0\0\0\
\x03\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct kfunc_call_fail *kfunc_call_fail::open(const struct bpf_object_open_opts *opts) { return kfunc_call_fail__open_opts(opts); }
struct kfunc_call_fail *kfunc_call_fail::open_and_load() { return kfunc_call_fail__open_and_load(); }
int kfunc_call_fail::load(struct kfunc_call_fail *skel) { return kfunc_call_fail__load(skel); }
int kfunc_call_fail::attach(struct kfunc_call_fail *skel) { return kfunc_call_fail__attach(skel); }
void kfunc_call_fail::detach(struct kfunc_call_fail *skel) { kfunc_call_fail__detach(skel); }
void kfunc_call_fail::destroy(struct kfunc_call_fail *skel) { kfunc_call_fail__destroy(skel); }
const void *kfunc_call_fail::elf_bytes(size_t *sz) { return kfunc_call_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kfunc_call_fail__assert(struct kfunc_call_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->not_const_size) == 4, "unexpected size of 'not_const_size'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KFUNC_CALL_FAIL_SKEL_H__ */
