/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KMEM_CACHE_ITER_SKEL_H__
#define __KMEM_CACHE_ITER_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct kmem_cache_iter {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *slab_result;
		struct bpf_map *slab_hash;
		struct bpf_map *rodata;
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *slab_info_collector;
		struct bpf_program *check_task_struct;
		struct bpf_program *open_coded_iter;
	} progs;
	struct {
		struct bpf_link *slab_info_collector;
		struct bpf_link *check_task_struct;
		struct bpf_link *open_coded_iter;
	} links;
	struct kmem_cache_iter__bss {
		int kmem_cache_seen;
		int open_coded_seen;
		int task_struct_found;
	} *bss;

#ifdef __cplusplus
	static inline struct kmem_cache_iter *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kmem_cache_iter *open_and_load();
	static inline int load(struct kmem_cache_iter *skel);
	static inline int attach(struct kmem_cache_iter *skel);
	static inline void detach(struct kmem_cache_iter *skel);
	static inline void destroy(struct kmem_cache_iter *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kmem_cache_iter__destroy(struct kmem_cache_iter *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kmem_cache_iter__create_skeleton(struct kmem_cache_iter *obj);

static inline struct kmem_cache_iter *
kmem_cache_iter__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kmem_cache_iter *obj;
	int err;

	obj = (struct kmem_cache_iter *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kmem_cache_iter__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kmem_cache_iter__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kmem_cache_iter *
kmem_cache_iter__open(void)
{
	return kmem_cache_iter__open_opts(NULL);
}

static inline int
kmem_cache_iter__load(struct kmem_cache_iter *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kmem_cache_iter *
kmem_cache_iter__open_and_load(void)
{
	struct kmem_cache_iter *obj;
	int err;

	obj = kmem_cache_iter__open();
	if (!obj)
		return NULL;
	err = kmem_cache_iter__load(obj);
	if (err) {
		kmem_cache_iter__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kmem_cache_iter__attach(struct kmem_cache_iter *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kmem_cache_iter__detach(struct kmem_cache_iter *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kmem_cache_iter__elf_bytes(size_t *sz);

static inline int
kmem_cache_iter__create_skeleton(struct kmem_cache_iter *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kmem_cache_iter";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "slab_result";
	map->map = &obj->maps.slab_result;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "slab_hash";
	map->map = &obj->maps.slab_hash;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "kmem_cac.rodata";
	map->map = &obj->maps.rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "kmem_cac.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "slab_info_collector";
	s->progs[0].prog = &obj->progs.slab_info_collector;
	s->progs[0].link = &obj->links.slab_info_collector;

	s->progs[1].name = "check_task_struct";
	s->progs[1].prog = &obj->progs.check_task_struct;
	s->progs[1].link = &obj->links.check_task_struct;

	s->progs[2].name = "open_coded_iter";
	s->progs[2].prog = &obj->progs.open_coded_iter;
	s->progs[2].link = &obj->links.open_coded_iter;

	s->data = kmem_cache_iter__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kmem_cache_iter__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\x38\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x10\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\x65\
\x72\x2f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\0\x72\x61\x77\x5f\x74\x70\x2f\
\x62\x70\x66\x5f\x74\x65\x73\x74\x5f\x66\x69\x6e\x69\x73\x68\0\x73\x79\x73\x63\
\x61\x6c\x6c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\
\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\
\x72\x31\x2e\x31\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x69\x74\x65\x72\
\x2e\x63\0\x73\x6c\x61\x62\x5f\x69\x6e\x66\x6f\x5f\x63\x6f\x6c\x6c\x65\x63\x74\
\x6f\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x73\x6c\x61\x62\x5f\x69\x6e\x66\x6f\x5f\
\x63\x6f\x6c\x6c\x65\x63\x74\x6f\x72\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\
\x5f\x73\x65\x65\x6e\0\x73\x6c\x61\x62\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x6c\
\x61\x62\x5f\x68\x61\x73\x68\0\x63\x68\x65\x63\x6b\x5f\x74\x61\x73\x6b\x5f\x73\
\x74\x72\x75\x63\x74\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x6b\x6d\x65\x6d\x5f\x63\
\x61\x63\x68\x65\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x5f\x66\x6f\x75\
\x6e\x64\0\x6f\x70\x65\x6e\x5f\x63\x6f\x64\x65\x64\x5f\x69\x74\x65\x72\0\x62\
\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\
\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\
\x63\x68\x65\x5f\x6e\x65\x78\x74\0\x6f\x70\x65\x6e\x5f\x63\x6f\x64\x65\x64\x5f\
\x73\x65\x65\x6e\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x6d\x65\x6d\x5f\x63\
\x61\x63\x68\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x69\x74\x65\x72\x2f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\
\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x62\x70\x66\x5f\x74\x65\x73\
\x74\x5f\x66\x69\x6e\x69\x73\x68\0\x2e\x72\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\
\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\x01\0\0\x07\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x97\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xa0\0\0\0\xab\
\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xbb\x11\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xc7\x11\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x20\0\0\0\xd1\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\xe3\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf6\x11\0\0\x08\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x04\0\0\x01\x08\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x30\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x49\x11\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x04\0\0\x01\x59\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x75\x11\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x21\0\0\0\0\0\0\x79\x12\0\0\0\0\
\0\0\x79\x11\0\0\0\0\0\0\x79\x72\0\x08\0\0\0\0\x7b\xa7\xff\xf8\0\0\0\0\x15\x70\
\0\x2c\0\0\0\0\x79\x27\0\x60\0\0\0\0\x7b\xa2\xff\xe0\0\0\0\0\x61\x27\0\x18\0\0\
\0\0\x7b\xa2\xff\xe8\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xe0\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\x08\xb4\x50\0\0\0\0\0\
\x10\x85\0\0\0\0\0\0\x7e\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x18\0\0\0\0\0\
\0\x63\xa1\xff\xf4\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\
\x60\0\x16\0\0\0\0\x61\x18\0\0\0\0\0\0\x04\x10\0\0\0\0\0\x01\x63\x81\0\0\0\0\0\
\0\x79\x37\0\x60\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x20\x85\0\0\0\0\
\0\0\x73\x61\x17\0\x18\0\0\0\0\x7b\x61\0\x20\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\
\x20\0\0\0\0\0\x0b\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb6\x55\
\0\0\x07\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x85\0\0\0\0\0\
\0\x02\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x23\xbf\x10\0\0\0\0\
\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\x10\0\0\xff\xff\xff\xff\x7b\xa0\xff\xf8\0\
\0\0\0\x15\0\0\x0e\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x07\0\0\0\0\xbf\
\x10\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x0b\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\xb6\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\xb4\x10\0\0\xff\xff\
\xff\xfe\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xbf\x16\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\
\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x15\x60\0\x13\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x0b\0\0\0\0\x61\x16\0\x18\0\0\0\0\x79\x20\0\
\x20\0\0\0\0\x5d\x21\0\x08\0\0\0\0\x61\x17\0\0\0\0\0\0\x04\x10\0\0\0\0\0\x01\
\x63\x71\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\
\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x55\x60\xff\xef\0\0\0\0\xbf\x1a\0\0\0\0\
\0\0\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x25\x73\x3a\x20\x25\x75\x0a\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\
\x63\x74\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\
\0\x09\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\x01\x38\0\0\
\0\x07\0\0\0\x01\0\0\0\0\0\0\x01\x68\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\
\0\x0d\0\0\0\x0a\0\0\0\0\0\0\0\x40\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\
\x07\0\0\0\x01\0\0\0\0\0\0\0\xa0\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\
\x10\0\0\0\x0a\0\0\0\0\0\0\0\x28\0\0\0\x11\0\0\0\x0a\0\0\0\0\0\0\0\x40\0\0\0\
\x12\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\
\x12\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x11\0\0\0\x0a\0\0\0\0\0\0\0\xe8\0\0\0\
\x13\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x0a\xe4\0\0\x0a\xe4\0\0\x09\
\xbc\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x04\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x28\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x04\0\0\x04\0\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\
\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x3e\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\x0e\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\x10\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\
\0\0\0\x02\0\0\0\0\0\0\x12\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x0d\0\0\0\0\0\0\0\x1e\0\0\0\
\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x11\0\0\0\x80\0\0\0\x32\0\0\0\x0d\0\0\0\xc0\0\0\
\0\x4a\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\x54\x04\
\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x40\0\0\0\
\0\x05\0\0\x01\0\0\0\x08\0\0\0\x69\0\0\0\x18\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x1d\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x6e\0\0\0\x1a\0\0\0\0\0\0\0\0\x02\0\0\
\0\0\0\0\x23\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x70\0\0\0\x15\0\0\0\x74\x0c\0\
\0\x01\0\0\0\x1b\0\0\0\x88\x04\0\0\x03\0\0\0\x18\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\
\0\x96\0\0\0\x20\0\0\0\x40\0\0\0\xa1\0\0\0\x20\0\0\0\x80\0\0\0\0\x05\0\0\x01\0\
\0\0\x08\0\0\0\xa9\0\0\0\x1f\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x6e\0\0\0\xad\x08\
\0\0\0\0\0\0\x21\0\0\0\xb1\x08\0\0\0\0\0\0\x22\0\0\0\xb7\x01\0\0\0\0\0\0\x08\0\
\0\0\x40\0\0\0\xca\x04\0\0\x20\0\0\x01\x18\0\0\0\xd5\0\0\0\x24\0\0\0\0\0\0\0\
\xde\0\0\0\x25\0\0\0\x40\0\0\0\xe4\0\0\0\x27\0\0\0\x80\0\0\0\xf0\0\0\0\x26\0\0\
\0\xc0\0\0\0\xf5\0\0\0\x26\0\0\0\xe0\0\0\x01\x01\0\0\0\x28\0\0\x01\0\0\0\x01\
\x11\0\0\0\x26\0\0\x01\x40\0\0\x01\x18\0\0\0\x26\0\0\x01\x60\0\0\x01\x24\0\0\0\
\x26\0\0\x01\x80\0\0\x01\x36\0\0\0\x2e\0\0\x01\xa0\0\0\x01\x39\0\0\0\x2e\0\0\
\x01\xc0\0\0\x01\x3d\0\0\0\x2f\0\0\x01\xe0\0\0\x01\x48\0\0\0\x02\0\0\x02\0\0\0\
\x01\x51\0\0\0\x30\0\0\x02\x40\0\0\x01\x56\0\0\0\x26\0\0\x02\x80\0\0\x01\x5c\0\
\0\0\x26\0\0\x02\xa0\0\0\x01\x62\0\0\0\x26\0\0\x02\xc0\0\0\x01\x6f\0\0\0\x33\0\
\0\x03\0\0\0\x01\x74\0\0\0\x36\0\0\x03\x40\0\0\x01\x79\0\0\0\x38\0\0\x03\xc0\0\
\0\x01\x7e\0\0\0\x27\0\0\x05\xc0\0\0\x01\x85\0\0\0\x26\0\0\x06\0\0\0\x01\x9e\0\
\0\0\x43\0\0\x06\x40\0\0\x01\xa9\0\0\0\x26\0\0\x06\x80\0\0\x01\xb4\0\0\0\x26\0\
\0\x06\xa0\0\0\x01\xbd\0\0\0\x27\0\0\x06\xc0\0\0\x01\xca\0\0\0\x27\0\0\x07\0\0\
\0\x01\xd7\0\0\0\x27\0\0\x07\x40\0\0\x01\xe4\0\0\0\x27\0\0\x07\x80\0\0\x01\xf1\
\0\0\0\x27\0\0\x07\xc0\0\0\x01\xfe\0\0\0\x27\0\0\x08\0\0\0\x02\x0b\0\0\0\x52\0\
\0\x08\x40\0\0\0\0\x02\0\0\0\0\0\0\x70\0\0\x02\x10\x08\0\0\0\0\0\0\x26\0\0\x02\
\x1d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x02\x2a\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\
\0\x02\x38\x04\0\0\x03\0\0\0\x08\0\0\x02\x49\0\0\0\x29\0\0\0\0\0\0\x02\x4b\0\0\
\0\x2b\0\0\0\x20\0\0\x02\x4f\0\0\0\x2b\0\0\0\x28\0\0\x02\x53\x08\0\0\0\0\0\0\
\x2a\0\0\x02\x57\x08\0\0\0\0\0\0\x26\0\0\x02\x5d\x08\0\0\0\0\0\0\x2c\0\0\x02\
\x60\x08\0\0\0\0\0\0\x2d\0\0\x02\x65\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\x02\x73\
\x04\0\0\x01\0\0\0\x04\0\0\x02\x8c\0\0\0\x26\0\0\0\0\0\0\x02\x8e\x08\0\0\0\0\0\
\0\x26\0\0\0\0\x02\0\0\0\0\0\0\x31\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x32\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x34\0\0\0\0\x0a\0\0\0\0\
\0\0\x35\0\0\x02\x94\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\x02\x99\x04\0\0\x02\0\
\0\0\x10\0\0\x02\xa3\0\0\0\x37\0\0\0\0\0\0\x02\xa8\0\0\0\x37\0\0\0\x40\0\0\0\0\
\x02\0\0\0\0\0\0\x36\0\0\x02\xad\x84\0\0\x0c\0\0\0\x40\0\0\x01\x6f\0\0\0\x33\0\
\0\0\0\0\0\x02\xb5\0\0\0\x36\0\0\0\x40\0\0\x02\xbb\0\0\0\x39\0\0\0\xc0\0\0\x02\
\xc2\0\0\0\x3a\0\0\x01\0\0\0\x02\xc7\0\0\0\x3b\0\0\x01\x40\0\0\x02\xcd\0\0\0\
\x3d\0\0\x01\x80\0\0\x02\xd0\0\0\0\x3e\0\0\x01\xc0\0\0\x02\xd5\0\0\0\x26\x01\0\
\x01\xe0\0\0\x02\xe7\0\0\0\x26\x01\0\x01\xe1\0\0\x02\xf6\0\0\0\x26\x01\0\x01\
\xe2\0\0\x03\x0c\0\0\0\x26\x01\0\x01\xe3\0\0\x03\x25\0\0\0\x26\x01\0\x01\xe4\0\
\0\0\0\x02\0\0\0\0\0\0\x38\0\0\0\0\x02\0\0\0\0\0\0\x6d\0\0\0\0\x02\0\0\0\0\0\0\
\x3c\0\0\0\0\x0a\0\0\0\0\0\0\x6f\0\0\0\0\x02\0\0\0\0\0\0\x71\0\0\x02\xd0\x04\0\
\0\x01\0\0\0\x04\0\0\x01\x48\0\0\0\x3f\0\0\0\0\0\0\x03\x35\x08\0\0\0\0\0\0\x40\
\0\0\x03\x40\x04\0\0\x01\0\0\0\x04\0\0\x03\x50\0\0\0\x41\0\0\0\0\0\0\x03\x55\
\x08\0\0\0\0\0\0\x42\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x03\x5e\0\0\0\x02\0\0\0\
\0\0\0\0\0\x02\0\0\0\0\0\0\x26\0\0\0\0\x02\0\0\0\0\0\0\x45\0\0\x03\x66\x04\0\0\
\x06\0\0\0\x40\0\0\x03\x76\0\0\0\x46\0\0\0\0\0\0\x03\x80\0\0\0\x27\0\0\0\x40\0\
\0\x03\x8b\0\0\0\x36\0\0\0\x80\0\0\x03\x93\0\0\0\x4c\0\0\x01\0\0\0\x03\x9c\0\0\
\0\x4c\0\0\x01\x40\0\0\x03\xaa\0\0\0\x36\0\0\x01\x80\0\0\x03\xaf\x08\0\0\0\0\0\
\0\x47\0\0\x03\xba\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\x05\
\0\0\x01\0\0\0\x04\0\0\x03\xc3\0\0\0\x49\0\0\0\0\0\0\x03\xc9\x04\0\0\x01\0\0\0\
\x04\0\0\x03\xd6\0\0\0\x4a\0\0\0\0\0\0\x03\xdf\x08\0\0\0\0\0\0\x4b\0\0\0\0\x04\
\0\0\x01\0\0\0\x04\0\0\x03\xef\0\0\0\x02\0\0\0\0\0\0\x03\xf4\x08\0\0\0\0\0\0\
\x4d\0\0\x04\x02\x08\0\0\0\0\0\0\x4e\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\x03\x5e\
\0\0\0\x4f\0\0\0\0\0\0\x04\x0d\x08\0\0\0\0\0\0\x50\0\0\x04\x11\x08\0\0\0\0\0\0\
\x51\0\0\x04\x17\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x44\0\0\0\x04\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x22\0\0\0\0\x0d\0\0\x01\0\0\
\0\x02\0\0\0\x70\0\0\0\x53\0\0\x04\x21\x0c\0\0\x01\0\0\0\x54\0\0\0\0\x0d\0\0\
\x01\0\0\0\x1a\0\0\0\0\0\0\0\x20\0\0\x04\x33\x0c\0\0\x02\0\0\0\x56\0\0\0\0\x02\
\0\0\0\0\0\0\x59\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\
\x70\0\0\0\x58\0\0\x04\x46\x0c\0\0\x01\0\0\0\x5a\0\0\0\0\x0d\0\0\x01\0\0\0\x02\
\0\0\0\0\0\0\0\x5d\0\0\0\0\x02\0\0\0\0\0\0\x5e\0\0\x04\x56\x04\0\0\x01\0\0\0\
\x08\0\0\x04\x6a\0\0\0\x5f\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\
\x04\0\0\0\x01\0\0\x04\x73\x0c\0\0\x02\0\0\0\x5c\0\0\0\0\x0d\0\0\x01\0\0\0\x1a\
\0\0\0\0\0\0\0\x5d\0\0\x04\x8b\x0c\0\0\x02\0\0\0\x61\0\0\0\0\x0d\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x5d\0\0\x04\xa4\x0c\0\0\x02\0\0\0\x63\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x35\0\0\0\x04\0\0\0\x04\0\0\x04\xc0\x0e\0\0\0\0\0\0\x65\0\0\0\x01\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x04\0\0\0\x08\0\0\x04\xc9\x0e\0\0\0\0\0\
\0\x67\0\0\0\0\0\0\x04\xe4\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x35\0\0\0\x04\0\0\0\x0c\0\0\x04\xf4\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\
\0\x05\x04\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x02\xc2\x07\0\0\0\0\0\0\0\0\0\x05\
\x16\x07\0\0\0\0\0\0\0\0\0\x05\x1f\x07\0\0\0\0\0\0\0\0\0\x05\x29\x07\0\0\0\0\0\
\0\0\0\0\x05\x38\x07\0\0\0\0\0\0\0\0\0\x09\x6b\x0f\0\0\x01\0\0\0\x04\0\0\0\x66\
\0\0\0\0\0\0\0\x04\0\0\x09\x73\x0f\0\0\x01\0\0\0\x08\0\0\0\x68\0\0\0\0\0\0\0\
\x08\0\0\x09\x7b\x0f\0\0\x03\0\0\0\x0c\0\0\0\x69\0\0\0\0\0\0\0\x04\0\0\0\x6b\0\
\0\0\x04\0\0\0\x04\0\0\0\x6c\0\0\0\x08\0\0\0\x04\0\0\x09\x80\x0f\0\0\x02\0\0\0\
\x40\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\x20\0\0\0\x20\0\0\x09\x86\x0f\
\0\0\x04\0\0\0\0\0\0\0\x57\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x62\
\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x73\x6c\x61\x62\x5f\x72\x65\x73\
\x75\x6c\x74\0\x73\x6c\x61\x62\x5f\x68\x61\x73\x68\0\x62\x70\x66\x5f\x69\x74\
\x65\x72\x5f\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\0\x6d\x65\x74\x61\0\
\x73\0\x63\x74\x78\0\x73\x6c\x61\x62\x5f\x69\x6e\x66\x6f\x5f\x63\x6f\x6c\x6c\
\x65\x63\x74\x6f\x72\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6d\x65\x74\x61\0\
\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\x6e\x75\x6d\0\x73\
\x65\x71\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\
\x65\0\x63\x70\x75\x5f\x73\x6c\x61\x62\0\x66\x6c\x61\x67\x73\0\x6d\x69\x6e\x5f\
\x70\x61\x72\x74\x69\x61\x6c\0\x73\x69\x7a\x65\0\x6f\x62\x6a\x65\x63\x74\x5f\
\x73\x69\x7a\x65\0\x72\x65\x63\x69\x70\x72\x6f\x63\x61\x6c\x5f\x73\x69\x7a\x65\
\0\x6f\x66\x66\x73\x65\x74\0\x63\x70\x75\x5f\x70\x61\x72\x74\x69\x61\x6c\0\x63\
\x70\x75\x5f\x70\x61\x72\x74\x69\x61\x6c\x5f\x73\x6c\x61\x62\x73\0\x6f\x6f\0\
\x6d\x69\x6e\0\x61\x6c\x6c\x6f\x63\x66\x6c\x61\x67\x73\0\x72\x65\x66\x63\x6f\
\x75\x6e\x74\0\x63\x74\x6f\x72\0\x69\x6e\x75\x73\x65\0\x61\x6c\x69\x67\x6e\0\
\x72\x65\x64\x5f\x6c\x65\x66\x74\x5f\x70\x61\x64\0\x6e\x61\x6d\x65\0\x6c\x69\
\x73\x74\0\x6b\x6f\x62\x6a\0\x72\x61\x6e\x64\x6f\x6d\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x6e\x6f\x64\x65\x5f\x64\x65\x66\x72\x61\x67\x5f\x72\x61\x74\x69\x6f\0\x72\
\x61\x6e\x64\x6f\x6d\x5f\x73\x65\x71\0\x75\x73\x65\x72\x6f\x66\x66\x73\x65\x74\
\0\x75\x73\x65\x72\x73\x69\x7a\x65\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\
\x64\x31\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x32\0\x72\x68\x5f\x72\
\x65\x73\x65\x72\x76\x65\x64\x33\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\
\x34\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x35\0\x72\x68\x5f\x72\x65\
\x73\x65\x72\x76\x65\x64\x36\0\x6e\x6f\x64\x65\0\x73\x6c\x61\x62\x5f\x66\x6c\
\x61\x67\x73\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x72\x65\x63\x69\x70\x72\x6f\
\x63\x61\x6c\x5f\x76\x61\x6c\x75\x65\0\x6d\0\x73\x68\x31\0\x73\x68\x32\0\x75\
\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\
\x5f\x6f\x72\x64\x65\x72\x5f\x6f\x62\x6a\x65\x63\x74\x73\0\x78\0\x67\x66\x70\
\x5f\x74\0\x63\x68\x61\x72\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\
\x74\0\x70\x72\x65\x76\0\x6b\x6f\x62\x6a\x65\x63\x74\0\x65\x6e\x74\x72\x79\0\
\x70\x61\x72\x65\x6e\x74\0\x6b\x73\x65\x74\0\x6b\x74\x79\x70\x65\0\x73\x64\0\
\x6b\x72\x65\x66\0\x73\x74\x61\x74\x65\x5f\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\
\x65\x64\0\x73\x74\x61\x74\x65\x5f\x69\x6e\x5f\x73\x79\x73\x66\x73\0\x73\x74\
\x61\x74\x65\x5f\x61\x64\x64\x5f\x75\x65\x76\x65\x6e\x74\x5f\x73\x65\x6e\x74\0\
\x73\x74\x61\x74\x65\x5f\x72\x65\x6d\x6f\x76\x65\x5f\x75\x65\x76\x65\x6e\x74\
\x5f\x73\x65\x6e\x74\0\x75\x65\x76\x65\x6e\x74\x5f\x73\x75\x70\x70\x72\x65\x73\
\x73\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\
\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\x6d\x69\x63\
\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\
\x65\x5f\x6e\x6f\x64\x65\0\x6c\x69\x73\x74\x5f\x6c\x6f\x63\x6b\0\x6e\x72\x5f\
\x70\x61\x72\x74\x69\x61\x6c\0\x70\x61\x72\x74\x69\x61\x6c\0\x6e\x72\x5f\x73\
\x6c\x61\x62\x73\0\x74\x6f\x74\x61\x6c\x5f\x6f\x62\x6a\x65\x63\x74\x73\0\x66\
\x75\x6c\x6c\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\
\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\
\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\
\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x73\x36\
\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x68\x65\
\x63\x6b\x5f\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\0\x6f\x70\x65\x6e\x5f\x63\
\x6f\x64\x65\x64\x5f\x69\x74\x65\x72\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\
\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x62\
\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\
\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\
\x63\x68\x65\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x6d\
\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x73\x6c\x61\x62\x5f\x69\x6e\x66\x6f\x5f\x63\x6f\x6c\x6c\
\x65\x63\x74\x6f\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x6b\x6d\x65\x6d\x5f\x63\x61\
\x63\x68\x65\x5f\x73\x65\x65\x6e\0\x6f\x70\x65\x6e\x5f\x63\x6f\x64\x65\x64\x5f\
\x73\x65\x65\x6e\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x5f\x66\x6f\x75\
\x6e\x64\0\x73\x65\x71\x5f\x66\x69\x6c\x65\0\x6b\x6f\x62\x6a\x5f\x74\x79\x70\
\x65\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x63\x70\x75\0\x6b\x65\x72\
\x6e\x66\x73\x5f\x6e\x6f\x64\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x69\x74\x65\x72\x2e\x63\0\x69\
\x6e\x74\x20\x73\x6c\x61\x62\x5f\x69\x6e\x66\x6f\x5f\x63\x6f\x6c\x6c\x65\x63\
\x74\x6f\x72\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x20\x2a\x63\x74\x78\x29\0\x09\
\x73\x74\x72\x75\x63\x74\x20\x73\x65\x71\x5f\x66\x69\x6c\x65\x20\x2a\x73\x65\
\x71\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x3b\0\
\x09\x73\x74\x72\x75\x63\x74\x20\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x20\
\x2a\x73\x20\x3d\x20\x63\x74\x78\x2d\x3e\x73\x3b\0\x09\x69\x66\x20\x28\x73\x29\
\x20\x7b\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\
\x73\x65\x71\x2c\x20\x22\x25\x73\x3a\x20\x25\x75\x5c\x6e\x22\x2c\x20\x73\x2d\
\x3e\x6e\x61\x6d\x65\x2c\x20\x73\x2d\x3e\x73\x69\x7a\x65\x29\x3b\0\x09\x09\x69\
\x64\x78\x20\x3d\x20\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x73\x65\x65\
\x6e\x3b\0\x09\x09\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6c\x61\x62\x5f\x72\x65\x73\x75\
\x6c\x74\x2c\x20\x26\x69\x64\x78\x29\x3b\0\x09\x09\x69\x66\x20\x28\x72\x20\x3d\
\x3d\x20\x4e\x55\x4c\x4c\x29\0\x09\x09\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\
\x5f\x73\x65\x65\x6e\x2b\x2b\x3b\0\x09\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x73\x74\x72\x28\x72\x2d\
\x3e\x6e\x61\x6d\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x72\x2d\x3e\x6e\x61\
\x6d\x65\x29\x2c\x20\x73\x2d\x3e\x6e\x61\x6d\x65\x29\x3b\0\x09\x09\x72\x2d\x3e\
\x6f\x62\x6a\x5f\x73\x69\x7a\x65\x20\x3d\x20\x73\x2d\x3e\x73\x69\x7a\x65\x3b\0\
\x09\x09\x69\x66\x20\x28\x21\x62\x70\x66\x5f\x73\x74\x72\x6e\x63\x6d\x70\x28\
\x72\x2d\x3e\x6e\x61\x6d\x65\x2c\x20\x31\x31\x2c\x20\x22\x74\x61\x73\x6b\x5f\
\x73\x74\x72\x75\x63\x74\x22\x29\x29\0\x09\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6c\x61\x62\x5f\
\x68\x61\x73\x68\x2c\x20\x26\x73\x2c\x20\x72\x2d\x3e\x6e\x61\x6d\x65\x2c\x20\
\x42\x50\x46\x5f\x4e\x4f\x45\x58\x49\x53\x54\x29\x3b\0\x7d\0\x09\x75\x36\x34\
\x20\x63\x75\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x28\x29\x3b\0\x09\x73\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x28\x63\x75\
\x72\x72\x29\x3b\0\x09\x69\x66\x20\x28\x73\x20\x3d\x3d\x20\x4e\x55\x4c\x4c\x29\
\x20\x7b\0\x09\x6e\x61\x6d\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6c\x61\x62\x5f\x68\x61\
\x73\x68\x2c\x20\x26\x73\x29\x3b\0\x09\x69\x66\x20\x28\x6e\x61\x6d\x65\x20\x26\
\x26\x20\x21\x62\x70\x66\x5f\x73\x74\x72\x6e\x63\x6d\x70\x28\x6e\x61\x6d\x65\
\x2c\x20\x31\x31\x2c\x20\x22\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x22\
\x29\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x63\x68\x65\x63\
\x6b\x5f\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x29\0\x69\x6e\x74\x20\x6f\
\x70\x65\x6e\x5f\x63\x6f\x64\x65\x64\x5f\x69\x74\x65\x72\x28\x63\x6f\x6e\x73\
\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x66\x6f\
\x72\x5f\x65\x61\x63\x68\x28\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x2c\x20\
\x73\x29\x20\x7b\0\x09\x09\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6c\x61\x62\x5f\x72\x65\
\x73\x75\x6c\x74\x2c\x20\x26\x6f\x70\x65\x6e\x5f\x63\x6f\x64\x65\x64\x5f\x73\
\x65\x65\x6e\x29\x3b\0\x09\x09\x69\x66\x20\x28\x21\x72\x29\0\x09\x09\x69\x66\
\x20\x28\x72\x2d\x3e\x6f\x62\x6a\x5f\x73\x69\x7a\x65\x20\x21\x3d\x20\x73\x2d\
\x3e\x73\x69\x7a\x65\x29\0\x09\x09\x6f\x70\x65\x6e\x5f\x63\x6f\x64\x65\x64\x5f\
\x73\x65\x65\x6e\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x30\
\x3a\x30\x3a\x30\0\x30\x3a\x31\x3a\x30\0\x30\x3a\x31\x37\0\x30\x3a\x33\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x69\x74\x65\x72\x2f\x6b\x6d\x65\
\x6d\x5f\x63\x61\x63\x68\x65\0\x72\x61\x77\x5f\x74\x70\x2f\x62\x70\x66\x5f\x74\
\x65\x73\x74\x5f\x66\x69\x6e\x69\x73\x68\0\x73\x79\x73\x63\x61\x6c\x6c\0\xeb\
\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\x02\xcc\0\0\x03\0\0\0\0\
\x94\0\0\0\x08\0\0\x09\x8d\0\0\0\x01\0\0\0\0\0\0\0\x1c\0\0\x09\x9d\0\0\0\x01\0\
\0\0\0\0\0\0\x55\0\0\x09\xb4\0\0\0\x01\0\0\0\0\0\0\0\x5b\0\0\0\x10\0\0\x09\x8d\
\0\0\0\x14\0\0\0\0\0\0\x05\x44\0\0\x05\xc1\0\0\x9c\0\0\0\0\x08\0\0\x05\x44\0\0\
\x05\xfb\0\0\xa4\x1e\0\0\0\x10\0\0\x05\x44\0\0\x05\xfb\0\0\xa4\x24\0\0\0\x18\0\
\0\x05\x44\0\0\x06\x23\0\0\xa8\x1e\0\0\0\x20\0\0\x05\x44\0\0\x06\x23\0\0\xa8\
\x15\0\0\0\x28\0\0\x05\x44\0\0\x06\x43\0\0\xb8\x06\0\0\0\x30\0\0\x05\x44\0\0\
\x06\x4d\0\0\xc8\x03\0\0\0\x88\0\0\x05\x44\0\0\x06\x82\0\0\xd0\x09\0\0\0\xa0\0\
\0\x05\x44\0\0\x06\x82\0\0\xd0\x07\0\0\0\xb8\0\0\x05\x44\0\0\x06\x9b\0\0\xd4\
\x07\0\0\0\xd8\0\0\x05\x44\0\0\x06\xca\0\0\xd8\x09\0\0\0\xe0\0\0\x05\x44\0\0\
\x06\xdb\0\0\xe4\x12\0\0\0\xf8\0\0\x05\x44\0\0\x06\xf0\0\0\xf0\x3a\0\0\x01\0\0\
\0\x05\x44\0\0\x06\xf0\0\0\xf0\x03\0\0\x01\x18\0\0\x05\x44\0\0\x07\x30\0\0\xf4\
\x14\0\0\x01\x20\0\0\x05\x44\0\0\x07\x30\0\0\xf4\x0f\0\0\x01\x28\0\0\x05\x44\0\
\0\x07\x49\0\0\xfc\x08\0\0\x01\x50\0\0\x05\x44\0\0\x07\x49\0\0\xfc\x07\0\0\x01\
\x68\0\0\x05\x44\0\0\x07\x79\0\x01\0\x04\0\0\x01\x90\0\0\x05\x44\0\0\x07\xb7\0\
\x01\x10\x01\0\0\x09\x9d\0\0\0\x09\0\0\0\0\0\0\x05\x44\0\0\x07\xb9\0\x01\x24\
\x0d\0\0\0\x08\0\0\x05\x44\0\0\x07\xdd\0\x01\x34\x06\0\0\0\x20\0\0\x05\x44\0\0\
\x07\xdd\0\x01\x34\x04\0\0\0\x28\0\0\x05\x44\0\0\x07\xfc\0\x01\x38\x08\0\0\0\
\x40\0\0\x05\x44\0\0\x08\x0e\0\x01\x48\x09\0\0\0\x58\0\0\x05\x44\0\0\x08\x3b\0\
\x01\x4c\x0b\0\0\0\x60\0\0\x05\x44\0\0\x08\x3b\0\x01\x4c\x0f\0\0\0\x90\0\0\x05\
\x44\0\0\x08\x3b\0\x01\x4c\x0b\0\0\0\xb8\0\0\x05\x44\0\0\x08\x6f\0\x01\x1c\x05\
\0\0\x09\xb4\0\0\0\x0e\0\0\0\0\0\0\x05\x44\0\0\x08\x8f\0\x01\x6c\0\0\0\0\x10\0\
\0\x05\x44\0\0\x08\xb4\0\x01\x7c\x02\0\0\0\x20\0\0\x05\x44\0\0\x08\xb4\0\x01\
\x7c\x02\0\0\0\x38\0\0\x05\x44\0\0\x08\xb4\0\x01\x7c\x02\0\0\0\x50\0\0\x05\x44\
\0\0\x08\xd3\0\x01\x88\x07\0\0\0\x78\0\0\x05\x44\0\0\x09\x0e\0\x01\x8c\x07\0\0\
\0\x80\0\0\x05\x44\0\0\x09\x18\0\x01\x98\x19\0\0\0\x88\0\0\x05\x44\0\0\x09\x18\
\0\x01\x98\x0a\0\0\0\x90\0\0\x05\x44\0\0\x09\x18\0\x01\x98\x13\0\0\0\x98\0\0\
\x05\x44\0\0\x09\x36\0\x01\xa4\x12\0\0\0\xc0\0\0\x05\x44\0\0\x08\xb4\0\x01\x7c\
\x02\0\0\0\xd0\0\0\x05\x44\0\0\x08\xb4\0\x01\x7c\x02\0\0\0\xe8\0\0\x05\x44\0\0\
\x08\xb4\0\x01\x7c\x02\0\0\0\xf0\0\0\x05\x44\0\0\x09\x4b\0\x01\xac\x02\0\0\0\
\x10\0\0\x09\x8d\0\0\0\x07\0\0\0\x08\0\0\0\x16\0\0\x09\x56\0\0\0\0\0\0\0\x10\0\
\0\0\x1d\0\0\x09\x56\0\0\0\0\0\0\0\x18\0\0\0\x16\0\0\x09\x5c\0\0\0\0\0\0\0\x30\
\0\0\0\x23\0\0\x09\x62\0\0\0\0\0\0\0\x40\0\0\0\x23\0\0\x09\x67\0\0\0\0\0\0\0\
\xf8\0\0\0\x23\0\0\x09\x62\0\0\0\0\0\0\x01\x18\0\0\0\x23\0\0\x09\x67\0\0\0\0\0\
\0\x09\xb4\0\0\0\x01\0\0\0\x80\0\0\0\x23\0\0\x09\x67\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xc7\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\x01\xf8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x01\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa0\0\
\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x38\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x68\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x68\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x01\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x6c\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x07\x74\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x78\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x5b\0\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xb8\0\0\0\
\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\x01\x7e\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xc8\0\0\0\0\0\0\0\
\x50\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x92\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x18\0\0\0\0\0\0\0\x40\0\
\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xad\0\0\0\x09\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x58\0\0\0\0\0\0\0\x70\0\0\0\
\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xb9\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xc8\0\0\0\0\0\0\x14\xb8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xbe\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x80\0\0\0\0\0\0\x03\xb4\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct kmem_cache_iter *kmem_cache_iter::open(const struct bpf_object_open_opts *opts) { return kmem_cache_iter__open_opts(opts); }
struct kmem_cache_iter *kmem_cache_iter::open_and_load() { return kmem_cache_iter__open_and_load(); }
int kmem_cache_iter::load(struct kmem_cache_iter *skel) { return kmem_cache_iter__load(skel); }
int kmem_cache_iter::attach(struct kmem_cache_iter *skel) { return kmem_cache_iter__attach(skel); }
void kmem_cache_iter::detach(struct kmem_cache_iter *skel) { kmem_cache_iter__detach(skel); }
void kmem_cache_iter::destroy(struct kmem_cache_iter *skel) { kmem_cache_iter__destroy(skel); }
const void *kmem_cache_iter::elf_bytes(size_t *sz) { return kmem_cache_iter__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kmem_cache_iter__assert(struct kmem_cache_iter *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->kmem_cache_seen) == 4, "unexpected size of 'kmem_cache_seen'");
	_Static_assert(sizeof(s->bss->open_coded_seen) == 4, "unexpected size of 'open_coded_seen'");
	_Static_assert(sizeof(s->bss->task_struct_found) == 4, "unexpected size of 'task_struct_found'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KMEM_CACHE_ITER_SKEL_H__ */
