/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_GLOBAL_FUNC9_SKEL_H__
#define __TEST_GLOBAL_FUNC9_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_global_func9 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map;
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *global_func9;
	} progs;
	struct {
		struct bpf_link *global_func9;
	} links;

#ifdef __cplusplus
	static inline struct test_global_func9 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_global_func9 *open_and_load();
	static inline int load(struct test_global_func9 *skel);
	static inline int attach(struct test_global_func9 *skel);
	static inline void detach(struct test_global_func9 *skel);
	static inline void destroy(struct test_global_func9 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_global_func9__destroy(struct test_global_func9 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_func9__create_skeleton(struct test_global_func9 *obj);

static inline struct test_global_func9 *
test_global_func9__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_func9 *obj;
	int err;

	obj = (struct test_global_func9 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_global_func9__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_global_func9__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_global_func9 *
test_global_func9__open(void)
{
	return test_global_func9__open_opts(NULL);
}

static inline int
test_global_func9__load(struct test_global_func9 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_func9 *
test_global_func9__open_and_load(void)
{
	struct test_global_func9 *obj;
	int err;

	obj = test_global_func9__open();
	if (!obj)
		return NULL;
	err = test_global_func9__load(obj);
	if (err) {
		test_global_func9__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_global_func9__attach(struct test_global_func9 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_func9__detach(struct test_global_func9 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_global_func9__elf_bytes(size_t *sz);

static inline int
test_global_func9__create_skeleton(struct test_global_func9 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_global_func9";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map";
	map->map = &obj->maps.map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_glo.data";
	map->map = &obj->maps.data;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "global_func9";
	s->progs[0].prog = &obj->progs.global_func9;
	s->progs[0].link = &obj->links.global_func9;

	s->data = test_global_func9__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_global_func9__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\
\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x61\x74\x61\0\x74\x65\x73\x74\x5f\x67\x6c\
\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x39\x2e\x63\0\x67\x6c\x6f\x62\x61\x6c\x5f\
\x64\x61\x74\x61\x5f\x78\0\x67\x6c\x6f\x62\x61\x6c\x5f\x64\x61\x74\x61\x5f\x79\
\0\x66\x6f\x6f\0\x62\x61\x72\0\x62\x61\x7a\0\x71\x75\x78\0\x71\x75\x75\x78\0\
\x71\x75\x75\x7a\0\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x39\0\x6d\x61\
\x70\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\
\x72\x65\x73\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\x04\0\xff\xf1\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x01\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x58\x01\0\0\x06\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x04\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\x12\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x6a\x12\0\0\x03\0\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\x40\0\0\0\x6e\x12\0\0\x03\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x40\0\
\0\0\x72\x12\0\0\x03\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x20\0\0\0\x76\x12\0\0\x03\
\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x20\0\0\0\x7b\x12\0\0\x03\0\0\0\0\0\0\x01\x10\
\0\0\0\0\0\0\0\x20\0\0\0\x80\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\
\0\0\x8d\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\xbf\x61\0\0\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x15\x60\0\x06\0\0\0\0\x85\0\0\0\0\0\0\x07\xbc\x10\0\0\0\0\0\0\
\x61\x26\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x01\xae\x12\0\x01\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x15\x60\0\x04\0\0\0\0\x85\0\0\0\0\0\0\
\x07\x61\x16\0\0\0\0\0\0\x5c\x10\0\0\0\0\0\0\x63\x61\0\0\0\0\0\0\xb4\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x15\x60\0\x04\0\0\0\0\x85\0\0\0\0\0\
\0\x07\x61\x16\0\0\0\0\0\0\x5c\x10\0\0\0\0\0\0\x63\x61\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x15\x10\0\x01\0\0\0\0\x61\x01\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x15\x10\0\x01\0\0\0\0\x61\x01\0\x24\
\0\0\0\0\x95\0\0\0\0\0\0\0\x15\x10\0\x01\0\0\0\0\x7a\x10\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x63\xa1\xff\
\xd0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xd0\x85\x01\0\0\xff\
\xff\xff\xff\xbc\x60\0\0\0\0\0\0\x62\xa0\xff\xd0\0\0\0\x01\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xd0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x01\xbf\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x61\x17\0\0\0\0\0\0\x63\
\xa1\xff\xd0\0\0\0\0\x61\x17\0\x58\0\0\0\0\x63\xa1\xff\xd4\0\0\0\0\x4c\x60\0\0\
\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xd0\x85\x01\0\0\xff\xff\
\xff\xff\x4c\x60\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\x4c\x60\0\0\0\0\0\0\x63\xa6\xff\xfc\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\
\xff\xff\xff\xfc\x85\x01\0\0\xff\xff\xff\xff\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\x01\0\0\xff\xff\xff\xff\x18\x10\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\x62\xa0\xff\xd0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\
\xff\xff\xd0\x85\x01\0\0\xff\xff\xff\xff\x61\x6a\xff\xfc\0\0\0\0\x4c\x60\0\0\0\
\0\0\0\x7a\xa0\xff\xf0\0\0\0\0\x7a\xa0\xff\xe8\0\0\0\0\x7a\xa0\xff\xe0\0\0\0\0\
\x7a\xa0\xff\xd8\0\0\0\0\x7a\xa0\xff\xd0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\
\0\xff\xff\xff\xd0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\0\0\0\0\0\0\x4c\x16\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\x01\x56\x10\0\x01\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x64\0\0\x01\xf4\0\0\0\0\0\0\0\x28\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\x50\0\0\0\
\x0e\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\xb0\0\0\0\
\x07\0\0\0\x0a\0\0\0\0\0\0\0\xc8\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\xf0\0\0\0\
\x08\0\0\0\x0a\0\0\0\0\0\0\0\xf8\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\
\x08\0\0\0\x0a\0\0\0\0\0\0\x01\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\x20\0\0\
\0\x09\0\0\0\x0a\0\0\0\0\0\0\x01\x40\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\x01\x90\0\
\0\0\x0b\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x50\0\0\x05\x50\0\0\
\x06\x33\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\
\x09\0\0\0\x1f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\
\x2c\x04\0\0\x01\0\0\0\x04\0\0\0\x2e\0\0\0\x02\0\0\0\0\0\0\0\0\x04\0\0\x04\0\0\
\0\x20\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x35\0\0\0\x05\0\0\0\x40\0\0\0\x41\0\0\
\0\x07\0\0\0\x80\0\0\0\x45\0\0\0\x0a\0\0\0\xc0\0\0\0\x4b\x0e\0\0\0\0\0\0\x0c\0\
\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0f\0\0\0\0\x0a\0\0\0\0\0\0\x0b\0\0\0\0\x0d\0\
\0\x01\0\0\0\x02\0\0\0\x4f\0\0\0\x0e\0\0\0\x51\x0c\0\0\x01\0\0\0\x10\0\0\0\0\
\x02\0\0\0\0\0\0\x02\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x2e\0\0\0\x12\0\0\0\
\x55\x0c\0\0\x01\0\0\0\x13\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\0\x09\0\0\0\0\0\0\
\x02\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x2e\0\0\0\x15\0\0\0\x59\x0c\0\0\x01\0\
\0\0\x17\0\0\0\0\x02\0\0\0\0\0\0\x1a\0\0\0\x5d\x06\0\0\x01\0\0\0\x04\0\0\0\x5f\
\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x66\0\0\0\x19\0\0\0\x68\x0c\0\0\
\x01\0\0\0\x1b\0\0\0\0\x02\0\0\0\0\0\0\x1e\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x0a\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x6c\0\0\0\x1d\0\0\0\
\x70\x0c\0\0\x01\0\0\0\x1f\0\0\0\0\x02\0\0\0\0\0\0\x12\0\0\0\0\x0d\0\0\x01\0\0\
\0\x02\0\0\0\x75\0\0\0\x21\0\0\0\x77\x0c\0\0\x01\0\0\0\x22\0\0\0\0\x02\0\0\0\0\
\0\0\x25\0\0\0\x7c\x04\0\0\x22\0\0\0\xc0\0\0\0\x86\0\0\0\x08\0\0\0\0\0\0\0\x8a\
\0\0\0\x08\0\0\0\x20\0\0\0\x93\0\0\0\x08\0\0\0\x40\0\0\0\x98\0\0\0\x08\0\0\0\
\x60\0\0\0\xa6\0\0\0\x08\0\0\0\x80\0\0\0\xaf\0\0\0\x08\0\0\0\xa0\0\0\0\xbc\0\0\
\0\x08\0\0\0\xc0\0\0\0\xc5\0\0\0\x08\0\0\0\xe0\0\0\0\xd0\0\0\0\x08\0\0\x01\0\0\
\0\0\xd9\0\0\0\x08\0\0\x01\x20\0\0\0\xe9\0\0\0\x08\0\0\x01\x40\0\0\0\xf1\0\0\0\
\x08\0\0\x01\x60\0\0\0\xfa\0\0\0\x26\0\0\x01\x80\0\0\0\xfd\0\0\0\x08\0\0\x02\
\x20\0\0\x01\x02\0\0\0\x08\0\0\x02\x40\0\0\x01\x0d\0\0\0\x08\0\0\x02\x60\0\0\
\x01\x12\0\0\0\x08\0\0\x02\x80\0\0\x01\x1b\0\0\0\x08\0\0\x02\xa0\0\0\x01\x23\0\
\0\0\x08\0\0\x02\xc0\0\0\x01\x2a\0\0\0\x08\0\0\x02\xe0\0\0\x01\x35\0\0\0\x08\0\
\0\x03\0\0\0\x01\x3f\0\0\0\x27\0\0\x03\x20\0\0\x01\x4a\0\0\0\x27\0\0\x03\xa0\0\
\0\x01\x54\0\0\0\x08\0\0\x04\x20\0\0\x01\x60\0\0\0\x08\0\0\x04\x40\0\0\x01\x6b\
\0\0\0\x08\0\0\x04\x60\0\0\0\0\0\0\0\x28\0\0\x04\x80\0\0\x01\x75\0\0\0\x2a\0\0\
\x04\xc0\0\0\x01\x7c\0\0\0\x08\0\0\x05\0\0\0\x01\x85\0\0\0\x08\0\0\x05\x20\0\0\
\0\0\0\0\0\x2c\0\0\x05\x40\0\0\x01\x8e\0\0\0\x08\0\0\x05\x80\0\0\x01\x97\0\0\0\
\x2e\0\0\x05\xa0\0\0\x01\xa3\0\0\0\x2a\0\0\x05\xc0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\x04\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\
\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xac\0\0\0\x29\0\0\0\0\0\0\0\0\x02\
\0\0\0\0\0\0\x35\0\0\x01\xb6\x08\0\0\0\0\0\0\x2b\0\0\x01\xbc\x01\0\0\0\0\0\0\
\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xcf\0\0\0\x2d\0\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\x36\0\0\x01\xd2\x08\0\0\0\0\0\0\x2f\0\0\x01\xd7\x01\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\xe5\0\0\0\x24\0\0\
\x01\xe9\x0c\0\0\x01\0\0\0\x30\0\0\x01\xf6\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\
\0\0\x02\x12\x0e\0\0\0\0\0\0\x02\0\0\0\0\0\0\x02\x20\x0e\0\0\0\0\0\0\x16\0\0\0\
\0\0\0\x02\x2e\x07\0\0\0\0\0\0\0\0\0\x02\x3c\x07\0\0\0\0\0\0\0\0\0\x06\x0e\x0f\
\0\0\x01\0\0\0\x20\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\0\x06\x14\x0f\0\0\x02\0\0\0\
\x08\0\0\0\x33\0\0\0\0\0\0\0\x04\0\0\0\x34\0\0\0\x04\0\0\0\x04\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x53\0\
\x78\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\
\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\0\x73\0\x66\x6f\x6f\0\x62\x61\x72\0\
\x62\x61\x7a\0\x45\0\x45\x5f\x49\x54\x45\x4d\0\x65\0\x71\x75\x78\0\x61\x72\x72\
\0\x71\x75\x75\x78\0\x70\0\x71\x75\x75\x7a\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\
\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\
\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\
\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\
\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\
\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\
\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\
\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\
\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\
\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\
\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\
\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x67\x6c\x6f\x62\x61\x6c\x5f\
\x66\x75\x6e\x63\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x67\x6c\x6f\x62\x61\x6c\
\x5f\x64\x61\x74\x61\x5f\x78\0\x67\x6c\x6f\x62\x61\x6c\x5f\x64\x61\x74\x61\x5f\
\x79\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x39\x2e\x63\0\x5f\x5f\x6e\
\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x66\x6f\x6f\x28\x63\x6f\x6e\
\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x53\x20\x2a\x73\x29\0\x09\x69\x66\x20\
\x28\x73\x29\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\x29\x20\x3c\x20\x73\x2d\
\x3e\x78\x3b\0\x7d\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\
\x20\x62\x61\x72\x28\x69\x6e\x74\x20\x2a\x78\x29\0\x09\x69\x66\x20\x28\x78\x29\
\0\x09\x09\x2a\x78\x20\x26\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\
\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x62\x61\
\x7a\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x2a\x78\x29\0\x5f\
\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x71\x75\x78\x28\x65\
\x6e\x75\x6d\x20\x45\x20\x2a\x65\x29\0\x09\x69\x66\x20\x28\x65\x29\0\x09\x09\
\x72\x65\x74\x75\x72\x6e\x20\x2a\x65\x3b\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\
\x65\x20\x69\x6e\x74\x20\x71\x75\x75\x78\x28\x69\x6e\x74\x20\x28\x2a\x61\x72\
\x72\x29\x5b\x31\x30\x5d\x29\0\x09\x69\x66\x20\x28\x61\x72\x72\x29\0\x09\x09\
\x72\x65\x74\x75\x72\x6e\x20\x28\x2a\x61\x72\x72\x29\x5b\x39\x5d\x3b\0\x09\x69\
\x66\x20\x28\x70\x29\0\x09\x09\x2a\x70\x20\x3d\x20\x4e\x55\x4c\x4c\x3b\0\x69\
\x6e\x74\x20\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x39\x28\x73\x74\x72\
\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\
\x09\x09\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x53\x20\x73\x20\
\x3d\x20\x7b\x2e\x78\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x20\x7d\x3b\0\
\x09\x09\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x66\x6f\x6f\x28\x26\x73\x29\
\x3b\0\x09\x09\x63\x6f\x6e\x73\x74\x20\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\
\x3d\x20\x31\x3b\0\x09\x09\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\
\x53\x20\x2a\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\
\x3b\0\x09\x09\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x66\x6f\x6f\x28\x73\x29\
\x3b\0\x09\x09\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x43\x20\x63\
\x20\x3d\x20\x7b\x2e\x78\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x2c\x20\
\x2e\x79\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x7d\x3b\0\
\x09\x09\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x66\x6f\x6f\x28\x28\x63\x6f\
\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x53\x20\x2a\x29\x26\x63\x29\x3b\0\
\x09\x09\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x66\x6f\x6f\x28\x4e\x55\x4c\
\x4c\x29\x3b\0\x09\x09\x62\x61\x72\x28\x26\x72\x65\x73\x75\x6c\x74\x29\x3b\0\
\x09\x09\x62\x61\x72\x28\x26\x67\x6c\x6f\x62\x61\x6c\x5f\x64\x61\x74\x61\x5f\
\x78\x29\x3b\0\x09\x09\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x62\x61\x7a\x28\
\x26\x67\x6c\x6f\x62\x61\x6c\x5f\x64\x61\x74\x61\x5f\x79\x29\x3b\0\x09\x09\x65\
\x6e\x75\x6d\x20\x45\x20\x65\x20\x3d\x20\x45\x5f\x49\x54\x45\x4d\x3b\0\x09\x09\
\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x71\x75\x78\x28\x26\x65\x29\x3b\0\x09\
\x09\x69\x6e\x74\x20\x61\x72\x72\x61\x79\x5b\x31\x30\x5d\x20\x3d\x20\x7b\x30\
\x7d\x3b\0\x09\x09\x72\x65\x73\x75\x6c\x74\x20\x7c\x3d\x20\x71\x75\x75\x78\x28\
\x26\x61\x72\x72\x61\x79\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\x73\
\x75\x6c\x74\x20\x3f\x20\x31\x20\x3a\x20\x30\x3b\0\x2e\x6d\x61\x70\x73\0\x2e\
\x64\x61\x74\x61\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\
\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\
\0\0\0\0\x4c\0\0\0\x4c\0\0\x03\x74\0\0\x03\xc0\0\0\0\0\0\0\0\x08\0\0\x06\x1a\0\
\0\0\x06\0\0\0\0\0\0\0\x11\0\0\0\x50\0\0\0\x14\0\0\0\x90\0\0\0\x18\0\0\0\xd0\0\
\0\0\x1c\0\0\0\xf0\0\0\0\x20\0\0\x01\x10\0\0\0\x23\0\0\x06\x20\0\0\0\x01\0\0\0\
\0\0\0\0\x31\0\0\0\x10\0\0\x06\x1a\0\0\0\x1b\0\0\0\0\0\0\x02\x45\0\0\x02\xc4\0\
\0\x78\0\0\0\0\x10\0\0\x02\x45\0\0\x02\xea\0\0\x80\x06\0\0\0\x18\0\0\x02\x45\0\
\0\x02\xf2\0\0\x84\x0a\0\0\0\x28\0\0\x02\x45\0\0\x02\xf2\0\0\x84\x25\0\0\0\x38\
\0\0\x02\x45\0\0\x02\xf2\0\0\x84\x20\0\0\0\x48\0\0\x02\x45\0\0\x03\x19\0\0\x90\
\x01\0\0\0\x50\0\0\x02\x45\0\0\x03\x1b\0\0\x98\0\0\0\0\x58\0\0\x02\x45\0\0\x03\
\x36\0\0\xa0\x06\0\0\0\x60\0\0\x02\x45\0\0\x03\x3e\0\0\xa4\x09\0\0\0\x68\0\0\
\x02\x45\0\0\x03\x3e\0\0\xa4\x06\0\0\0\x80\0\0\x02\x45\0\0\x03\x5d\0\0\xac\x02\
\0\0\0\x90\0\0\x02\x45\0\0\x03\x68\0\0\xb4\0\0\0\0\x98\0\0\x02\x45\0\0\x03\x36\
\0\0\xbc\x06\0\0\0\xa0\0\0\x02\x45\0\0\x03\x3e\0\0\xc0\x09\0\0\0\xa8\0\0\x02\
\x45\0\0\x03\x3e\0\0\xc0\x06\0\0\0\xc0\0\0\x02\x45\0\0\x03\x5d\0\0\xc8\x02\0\0\
\0\xd0\0\0\x02\x45\0\0\x03\x8c\0\0\xd4\0\0\0\0\xd8\0\0\x02\x45\0\0\x03\xaa\0\0\
\xdc\x06\0\0\0\xe0\0\0\x02\x45\0\0\x03\xb2\0\0\xe0\x0a\0\0\0\xe8\0\0\x02\x45\0\
\0\x03\x19\0\0\xec\x01\0\0\0\xf0\0\0\x02\x45\0\0\x03\xbf\0\0\xf4\0\0\0\0\xf8\0\
\0\x02\x45\0\0\x03\xe3\0\0\xfc\x06\0\0\x01\0\0\0\x02\x45\0\0\x03\xed\0\x01\0\
\x0a\0\0\x01\x08\0\0\x02\x45\0\0\x03\x19\0\x01\x0c\x01\0\0\x01\x10\0\0\x02\x45\
\0\0\x04\x01\0\x01\x1c\x06\0\0\x01\x18\0\0\x02\x45\0\0\x04\x09\0\x01\x20\x06\0\
\0\x01\x20\0\0\x02\x45\0\0\x03\x5d\0\x01\x28\x02\0\0\x06\x20\0\0\0\x1b\0\0\0\0\
\0\0\x02\x45\0\0\x04\x16\0\x01\x3c\0\0\0\0\x08\0\0\x02\x45\0\0\x04\x3e\0\x01\
\x50\x21\0\0\0\x10\0\0\x02\x45\0\0\x04\x3e\0\x01\x50\x16\0\0\0\x28\0\0\x02\x45\
\0\0\x04\x65\0\x01\x58\x0d\0\0\0\x38\0\0\x02\x45\0\0\x04\x7a\0\x01\x68\x0f\0\0\
\0\x50\0\0\x02\x45\0\0\x04\x91\0\x01\x6c\x17\0\0\0\x68\0\0\x02\x45\0\0\x04\xc8\
\0\x01\x74\x0d\0\0\0\x78\0\0\x02\x45\0\0\x04\xdc\0\x01\x84\x21\0\0\0\x80\0\0\
\x02\x45\0\0\x04\xdc\0\x01\x84\x16\0\0\0\x88\0\0\x02\x45\0\0\x04\xdc\0\x01\x84\
\x30\0\0\0\x90\0\0\x02\x45\0\0\x04\xdc\0\x01\x84\x16\0\0\0\x98\0\0\x02\x45\0\0\
\x04\xc8\0\x01\x74\x0a\0\0\0\xb0\0\0\x02\x45\0\0\x05\x15\0\x01\x8c\x0d\0\0\0\
\xb8\0\0\x02\x45\0\0\x05\x15\0\x01\x8c\x0a\0\0\0\xc0\0\0\x02\x45\0\0\x05\x3c\0\
\x01\x9c\x0d\0\0\0\xd0\0\0\x02\x45\0\0\x05\x3c\0\x01\x9c\x0a\0\0\0\xf0\0\0\x02\
\x45\0\0\x05\x53\0\x01\xac\x03\0\0\0\xf8\0\0\x02\x45\0\0\x05\x63\0\x01\xb0\x03\
\0\0\x01\x10\0\0\x02\x45\0\0\x05\x7a\0\x01\xc0\x0d\0\0\x01\x28\0\0\x02\x45\0\0\
\x05\x9b\0\x01\xd0\x0a\0\0\x01\x40\0\0\x02\x45\0\0\x05\xb0\0\x01\xd8\x0d\0\0\
\x01\x48\0\0\x02\x45\0\0\x05\xb0\0\x01\xd8\x0a\0\0\x01\x58\0\0\x02\x45\0\0\x05\
\xc5\0\x01\xe8\x07\0\0\x01\x90\0\0\x02\x45\0\0\x05\xdc\0\x01\xf0\x0d\0\0\x01\
\xa0\0\0\x02\x45\0\0\x05\xdc\0\x01\xf0\x0a\0\0\x01\xb0\0\0\x02\x45\0\0\x05\xf6\
\0\x02\x14\x09\0\0\x01\xc0\0\0\x02\x45\0\0\x05\xf6\0\x02\x14\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf8\0\0\0\0\0\0\x01\x68\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x60\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x90\0\0\0\0\
\0\0\x01\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x58\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x78\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x05\x80\0\0\0\0\0\0\0\xc0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x06\x40\0\0\0\0\0\0\x0b\x9b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\xad\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x11\xe0\0\0\0\0\0\0\x03\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_global_func9 *test_global_func9::open(const struct bpf_object_open_opts *opts) { return test_global_func9__open_opts(opts); }
struct test_global_func9 *test_global_func9::open_and_load() { return test_global_func9__open_and_load(); }
int test_global_func9::load(struct test_global_func9 *skel) { return test_global_func9__load(skel); }
int test_global_func9::attach(struct test_global_func9 *skel) { return test_global_func9__attach(skel); }
void test_global_func9::detach(struct test_global_func9 *skel) { test_global_func9__detach(skel); }
void test_global_func9::destroy(struct test_global_func9 *skel) { test_global_func9__destroy(skel); }
const void *test_global_func9::elf_bytes(size_t *sz) { return test_global_func9__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_global_func9__assert(struct test_global_func9 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_GLOBAL_FUNC9_SKEL_H__ */
