/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_LOOPS1_SKEL_H__
#define __VERIFIER_LOOPS1_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_loops1 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *bounded_loop_count_to_4;
		struct bpf_program *loop_containing_a_forward_jump;
		struct bpf_program *back_jump_to_1st_insn_1;
		struct bpf_program *back_jump_to_1st_insn_2;
		struct bpf_program *jump_to_1st_insn_2;
		struct bpf_program *not_an_inifinite_loop;
		struct bpf_program *bounded_loop_count_to_20;
		struct bpf_program *from_positive_unknown_to_4;
		struct bpf_program *from_totally_unknown_to_4;
		struct bpf_program *count_to_4_with_equality;
		struct bpf_program *jumps_out_rather_than_in;
		struct bpf_program *loop_after_a_conditional_jump;
		struct bpf_program *bounded_recursion;
		struct bpf_program *infinite_loop_in_two_jumps;
		struct bpf_program *infinite_loop_three_jump_trick;
		struct bpf_program *loop_start_in_the_middle;
	} progs;
	struct {
		struct bpf_link *bounded_loop_count_to_4;
		struct bpf_link *loop_containing_a_forward_jump;
		struct bpf_link *back_jump_to_1st_insn_1;
		struct bpf_link *back_jump_to_1st_insn_2;
		struct bpf_link *jump_to_1st_insn_2;
		struct bpf_link *not_an_inifinite_loop;
		struct bpf_link *bounded_loop_count_to_20;
		struct bpf_link *from_positive_unknown_to_4;
		struct bpf_link *from_totally_unknown_to_4;
		struct bpf_link *count_to_4_with_equality;
		struct bpf_link *jumps_out_rather_than_in;
		struct bpf_link *loop_after_a_conditional_jump;
		struct bpf_link *bounded_recursion;
		struct bpf_link *infinite_loop_in_two_jumps;
		struct bpf_link *infinite_loop_three_jump_trick;
		struct bpf_link *loop_start_in_the_middle;
	} links;

#ifdef __cplusplus
	static inline struct verifier_loops1 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_loops1 *open_and_load();
	static inline int load(struct verifier_loops1 *skel);
	static inline int attach(struct verifier_loops1 *skel);
	static inline void detach(struct verifier_loops1 *skel);
	static inline void destroy(struct verifier_loops1 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_loops1__destroy(struct verifier_loops1 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_loops1__create_skeleton(struct verifier_loops1 *obj);

static inline struct verifier_loops1 *
verifier_loops1__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_loops1 *obj;
	int err;

	obj = (struct verifier_loops1 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_loops1__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_loops1__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_loops1 *
verifier_loops1__open(void)
{
	return verifier_loops1__open_opts(NULL);
}

static inline int
verifier_loops1__load(struct verifier_loops1 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_loops1 *
verifier_loops1__open_and_load(void)
{
	struct verifier_loops1 *obj;
	int err;

	obj = verifier_loops1__open();
	if (!obj)
		return NULL;
	err = verifier_loops1__load(obj);
	if (err) {
		verifier_loops1__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_loops1__attach(struct verifier_loops1 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_loops1__detach(struct verifier_loops1 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_loops1__elf_bytes(size_t *sz);

static inline int
verifier_loops1__create_skeleton(struct verifier_loops1 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_loops1";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 16;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bounded_loop_count_to_4";
	s->progs[0].prog = &obj->progs.bounded_loop_count_to_4;
	s->progs[0].link = &obj->links.bounded_loop_count_to_4;

	s->progs[1].name = "loop_containing_a_forward_jump";
	s->progs[1].prog = &obj->progs.loop_containing_a_forward_jump;
	s->progs[1].link = &obj->links.loop_containing_a_forward_jump;

	s->progs[2].name = "back_jump_to_1st_insn_1";
	s->progs[2].prog = &obj->progs.back_jump_to_1st_insn_1;
	s->progs[2].link = &obj->links.back_jump_to_1st_insn_1;

	s->progs[3].name = "back_jump_to_1st_insn_2";
	s->progs[3].prog = &obj->progs.back_jump_to_1st_insn_2;
	s->progs[3].link = &obj->links.back_jump_to_1st_insn_2;

	s->progs[4].name = "jump_to_1st_insn_2";
	s->progs[4].prog = &obj->progs.jump_to_1st_insn_2;
	s->progs[4].link = &obj->links.jump_to_1st_insn_2;

	s->progs[5].name = "not_an_inifinite_loop";
	s->progs[5].prog = &obj->progs.not_an_inifinite_loop;
	s->progs[5].link = &obj->links.not_an_inifinite_loop;

	s->progs[6].name = "bounded_loop_count_to_20";
	s->progs[6].prog = &obj->progs.bounded_loop_count_to_20;
	s->progs[6].link = &obj->links.bounded_loop_count_to_20;

	s->progs[7].name = "from_positive_unknown_to_4";
	s->progs[7].prog = &obj->progs.from_positive_unknown_to_4;
	s->progs[7].link = &obj->links.from_positive_unknown_to_4;

	s->progs[8].name = "from_totally_unknown_to_4";
	s->progs[8].prog = &obj->progs.from_totally_unknown_to_4;
	s->progs[8].link = &obj->links.from_totally_unknown_to_4;

	s->progs[9].name = "count_to_4_with_equality";
	s->progs[9].prog = &obj->progs.count_to_4_with_equality;
	s->progs[9].link = &obj->links.count_to_4_with_equality;

	s->progs[10].name = "jumps_out_rather_than_in";
	s->progs[10].prog = &obj->progs.jumps_out_rather_than_in;
	s->progs[10].link = &obj->links.jumps_out_rather_than_in;

	s->progs[11].name = "loop_after_a_conditional_jump";
	s->progs[11].prog = &obj->progs.loop_after_a_conditional_jump;
	s->progs[11].link = &obj->links.loop_after_a_conditional_jump;

	s->progs[12].name = "bounded_recursion";
	s->progs[12].prog = &obj->progs.bounded_recursion;
	s->progs[12].link = &obj->links.bounded_recursion;

	s->progs[13].name = "infinite_loop_in_two_jumps";
	s->progs[13].prog = &obj->progs.infinite_loop_in_two_jumps;
	s->progs[13].link = &obj->links.infinite_loop_in_two_jumps;

	s->progs[14].name = "infinite_loop_three_jump_trick";
	s->progs[14].prog = &obj->progs.infinite_loop_three_jump_trick;
	s->progs[14].link = &obj->links.infinite_loop_three_jump_trick;

	s->progs[15].name = "loop_start_in_the_middle";
	s->progs[15].prog = &obj->progs.loop_start_in_the_middle;
	s->progs[15].link = &obj->links.loop_start_in_the_middle;

	s->data = verifier_loops1__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_loops1__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x50\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x78\x64\x70\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x73\x6f\x63\
\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x6c\x6f\x6f\x70\x73\x31\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\
\x30\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\
\x5f\x35\0\x6c\x31\x5f\x35\0\x6c\x31\x5f\x36\0\x6c\x30\x5f\x36\0\x6c\x31\x5f\
\x37\0\x6c\x30\x5f\x37\0\x6c\x30\x5f\x38\0\x6c\x31\x5f\x38\0\x62\x6f\x75\x6e\
\x64\x65\x64\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\x5f\x5f\x31\0\x6c\x30\x5f\
\x39\0\x6c\x31\x5f\x31\x30\0\x6c\x30\x5f\x31\x30\0\x6c\x32\x5f\x31\x31\0\x6c\
\x30\x5f\x31\x31\0\x6c\x31\x5f\x31\x31\0\x6c\x30\x5f\x31\x32\0\x62\x61\x63\x6b\
\x5f\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\
\x5f\x5f\x31\0\x6c\x30\x5f\x31\x33\0\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\
\x74\x5f\x69\x6e\x73\x6e\x5f\x32\x5f\x5f\x31\0\x6c\x30\x5f\x31\x34\0\x6c\x6f\
\x6f\x70\x5f\x31\x35\0\x65\x78\x69\x74\x5f\x31\x35\0\x62\x6f\x75\x6e\x64\x65\
\x64\x5f\x6c\x6f\x6f\x70\x5f\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x34\0\x62\x6f\
\x75\x6e\x64\x65\x64\x5f\x6c\x6f\x6f\x70\x5f\x63\x6f\x75\x6e\x74\x5f\x74\x6f\
\x5f\x32\x30\0\x66\x72\x6f\x6d\x5f\x70\x6f\x73\x69\x74\x69\x76\x65\x5f\x75\x6e\
\x6b\x6e\x6f\x77\x6e\x5f\x74\x6f\x5f\x34\0\x66\x72\x6f\x6d\x5f\x74\x6f\x74\x61\
\x6c\x6c\x79\x5f\x75\x6e\x6b\x6e\x6f\x77\x6e\x5f\x74\x6f\x5f\x34\0\x63\x6f\x75\
\x6e\x74\x5f\x74\x6f\x5f\x34\x5f\x77\x69\x74\x68\x5f\x65\x71\x75\x61\x6c\x69\
\x74\x79\0\x6c\x6f\x6f\x70\x5f\x73\x74\x61\x72\x74\x5f\x69\x6e\x5f\x74\x68\x65\
\x5f\x6d\x69\x64\x64\x6c\x65\0\x6c\x6f\x6f\x70\x5f\x63\x6f\x6e\x74\x61\x69\x6e\
\x69\x6e\x67\x5f\x61\x5f\x66\x6f\x72\x77\x61\x72\x64\x5f\x6a\x75\x6d\x70\0\x6a\
\x75\x6d\x70\x73\x5f\x6f\x75\x74\x5f\x72\x61\x74\x68\x65\x72\x5f\x74\x68\x61\
\x6e\x5f\x69\x6e\0\x6c\x6f\x6f\x70\x5f\x61\x66\x74\x65\x72\x5f\x61\x5f\x63\x6f\
\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\x5f\x6a\x75\x6d\x70\0\x62\x6f\x75\x6e\x64\
\x65\x64\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\0\x69\x6e\x66\x69\x6e\x69\x74\
\x65\x5f\x6c\x6f\x6f\x70\x5f\x69\x6e\x5f\x74\x77\x6f\x5f\x6a\x75\x6d\x70\x73\0\
\x69\x6e\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\x70\x5f\x74\x68\x72\x65\x65\
\x5f\x6a\x75\x6d\x70\x5f\x74\x72\x69\x63\x6b\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\
\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x31\0\x62\x61\x63\x6b\
\x5f\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\
\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\x6e\
\x6f\x74\x5f\x61\x6e\x5f\x69\x6e\x69\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\
\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x72\
\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x35\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x05\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x05\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\x56\0\0\0\x05\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x05\0\0\0\0\
\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x05\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x06\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x06\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\x6f\0\0\0\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\
\x04\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\x05\0\0\0\0\0\0\0\x90\0\
\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x05\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x83\
\0\0\0\x05\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x05\0\0\0\0\0\0\0\
\xc8\0\0\0\0\0\0\0\0\0\0\0\x8d\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\
\0\0\xa2\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x05\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x05\0\0\0\0\0\0\x01\x08\0\0\0\0\0\
\0\0\0\0\0\0\xb3\0\0\0\x05\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\0\0\0\0\xb9\0\0\0\
\x05\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\xbf\0\0\0\x05\0\0\0\0\0\0\x01\
\x60\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\
\0\xcb\x02\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x28\0\0\0\xe6\0\0\0\x03\0\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\xec\x02\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\0\
\0\0\0\x28\0\0\x01\x02\0\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\x01\x08\
\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x01\x10\0\0\0\x04\0\0\0\0\0\0\
\0\xf0\0\0\0\0\0\0\0\0\0\0\x01\x18\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\x01\x30\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x49\x12\
\0\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x28\0\0\x01\x64\x12\0\0\x05\0\0\0\0\0\
\0\0\x48\0\0\0\0\0\0\0\x20\0\0\x01\x7e\x12\0\0\x05\0\0\0\0\0\0\0\x68\0\0\0\0\0\
\0\0\x20\0\0\x01\x97\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\x01\xb0\
\x12\0\0\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x28\0\0\x01\xcf\x12\0\0\x05\0\0\0\
\0\0\0\0\x88\0\0\0\0\0\0\0\x30\0\0\x01\xe8\x12\0\0\x05\0\0\0\0\0\0\0\xb8\0\0\0\
\0\0\0\0\x28\0\0\x02\x06\x12\0\0\x05\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x18\0\0\
\x02\x18\x12\0\0\x05\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x20\0\0\x02\x33\x12\0\0\
\x05\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\0\x68\0\0\x02\x52\x12\0\0\x04\0\0\0\0\0\0\
\0\x48\0\0\0\0\0\0\0\x18\0\0\x02\x6a\x12\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\x20\0\0\x02\x82\x12\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x20\0\0\x02\x95\
\x12\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x60\0\0\x02\xab\x11\0\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x07\x10\0\0\0\0\0\x01\xbf\x01\0\0\0\0\0\0\xa5\x10\
\0\x01\0\0\0\x04\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xfb\x95\0\0\0\0\0\0\
\0\x0f\x21\0\0\0\0\0\0\x17\x10\0\0\0\0\0\x01\x55\x10\xff\xfd\0\0\0\0\xbf\x02\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x17\x10\0\0\0\0\0\x01\x56\x10\
\xff\xfd\0\0\0\0\xbf\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\
\0\0\0\0\0\x01\xa5\0\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\
\0\0\0\0\0\0\x01\x1d\0\0\0\0\0\0\0\xa5\0\xff\xfd\0\0\0\x04\x95\0\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\x7b\x15\0\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\x0a\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x05\x95\0\0\0\0\0\0\0\xb7\x10\0\0\
\0\0\0\x0a\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x0a\x95\0\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\x07\x57\0\0\0\0\0\0\xff\x7b\xa0\xff\xf8\0\0\0\0\xb7\0\0\0\0\0\0\0\x79\
\x0a\xff\xf8\0\0\0\0\x25\0\0\x04\0\0\0\x0a\x07\0\0\0\0\0\0\x01\x7b\xa0\xff\xf8\
\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\xff\xfa\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x03\xa5\0\xff\xfe\0\0\0\x14\x95\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x07\xc5\0\0\x02\0\0\0\0\x07\0\0\0\0\0\0\x01\xa5\0\xff\
\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x07\x07\0\0\0\0\0\0\x01\xa5\0\
\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x55\
\0\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\0\x07\x60\0\0\0\0\0\
\x01\x25\x60\0\x02\0\0\x27\x10\x85\0\0\0\0\0\0\x07\x05\0\xff\xfc\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x05\xa5\0\0\x02\0\0\0\x04\x07\0\0\0\0\0\0\x01\x05\
\0\xff\xfe\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\xa5\0\xff\xfe\0\
\0\0\x04\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x57\0\0\0\0\0\
\0\x01\xa5\0\0\x01\0\0\0\x02\x95\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x57\0\0\0\0\
\0\0\x01\xa5\0\0\x01\0\0\0\x02\x95\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x57\0\0\0\
\0\0\0\x01\xa5\0\xff\xf5\0\0\0\x02\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\0\
\x01\0\0\0\0\x07\0\0\0\0\0\0\x01\xa5\0\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x90\0\0\
\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\xe8\0\0\0\x02\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\
\0\0\0\0\0\0\x03\xf0\0\0\x03\xf0\0\0\x07\xd0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\
\x01\x0c\0\0\x01\0\0\0\x01\0\0\0\x19\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\
\x4b\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x67\x11\0\0\0\0\0\0\x02\xff\xff\
\xff\xff\0\0\0\x7d\x0c\0\0\x01\0\0\0\x01\0\0\0\x96\x11\0\0\0\0\0\0\x06\xff\xff\
\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x06\xff\xff\xff\xff\0\0\0\xc9\x0c\0\0\x01\0\
\0\0\x01\0\0\0\xe4\x11\0\0\0\0\0\0\x09\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\
\0\x09\xff\xff\xff\xff\0\0\x01\x2c\x0c\0\0\x01\0\0\0\x01\0\0\x01\x46\x11\0\0\0\
\0\0\0\x0c\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x0c\xff\xff\xff\xff\0\0\
\x01\x8d\x0c\0\0\x01\0\0\0\x01\0\0\x01\xa6\x11\0\0\0\0\0\0\x0f\xff\xff\xff\xff\
\0\0\0\x4b\x11\0\0\0\0\0\0\x0f\xff\xff\xff\xff\0\0\x01\xe6\x0c\0\0\x01\0\0\0\
\x01\0\0\x01\xff\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\
\x12\xff\xff\xff\xff\0\0\x02\x3a\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\x02\
\x5d\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\x02\x88\x0c\0\0\x01\0\0\0\x01\0\0\
\x02\xa7\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x17\xff\
\xff\xff\xff\0\0\0\x67\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\x02\xe7\x0c\0\0\
\x01\0\0\0\x01\0\0\x03\0\x11\0\0\0\0\0\0\x1b\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\
\0\0\0\0\x1b\xff\xff\xff\xff\0\0\x03\x44\x0c\0\0\x01\0\0\0\x01\0\0\x03\x62\x11\
\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x03\xa2\x11\0\0\0\0\0\0\x1e\xff\xff\xff\
\xff\0\0\x03\xbe\x11\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x03\xed\x0c\0\0\x01\0\
\0\0\x01\0\0\x03\xff\x11\0\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\x03\xa2\x11\0\0\0\
\0\0\0\x22\xff\xff\xff\xff\0\0\x04\x2a\x11\0\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\
\x04\x6d\x0c\0\0\0\0\0\0\x01\0\0\x04\x82\x0c\0\0\x01\0\0\0\x01\0\0\x04\x9d\x11\
\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x03\xa2\x11\0\0\0\0\0\0\x27\xff\xff\xff\
\xff\0\0\x04\xd1\x11\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x04\xf9\x0c\0\0\x01\0\
\0\0\x01\0\0\x05\x18\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\x03\xa2\x11\0\0\0\
\0\0\0\x2b\xff\xff\xff\xff\0\0\x05\x51\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\
\x05\x79\x0c\0\0\x01\0\0\0\x01\0\0\x05\x91\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\
\0\0\0\x4b\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\0\0\x05\xd4\x11\0\0\0\0\0\0\x2f\
\xff\xff\xff\xff\0\0\x05\xec\x0c\0\0\x01\0\0\0\x01\0\0\x06\x04\x11\0\0\0\0\0\0\
\x33\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x33\xff\xff\xff\xff\0\0\x06\x43\
\x11\0\0\0\0\0\0\x33\xff\xff\xff\xff\0\0\x06\x5a\x0c\0\0\0\0\0\0\x01\0\0\x06\
\x75\x0c\0\0\x01\0\0\0\x01\0\0\x06\x88\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\
\0\x4b\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x06\x43\x11\0\0\0\0\0\0\x38\xff\
\xff\xff\xff\0\0\x06\xca\x0c\0\0\0\0\0\0\x01\0\0\x06\xe0\x0c\0\0\x01\0\0\0\x01\
\0\0\0\x4b\x11\0\0\0\0\0\0\x3d\xff\xff\xff\xff\0\0\x06\xf6\x01\0\0\0\0\0\0\x01\
\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x41\0\0\0\x04\0\0\x06\
\xfb\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x07\x0f\x0e\0\0\0\0\0\0\x40\0\0\0\x01\0\
\0\x07\xac\x0f\0\0\x01\0\0\0\x04\0\0\0\x42\0\0\0\0\0\0\0\x04\0\x62\x6f\x75\x6e\
\x64\x65\x64\x5f\x6c\x6f\x6f\x70\x5f\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x34\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x2c\
\x20\x63\x6f\x75\x6e\x74\x20\x74\x6f\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\
\x3d\x34\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x6c\x6f\x6f\x70\x5f\x63\x6f\x75\x6e\
\x74\x5f\x74\x6f\x5f\x32\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\
\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x74\x6f\x20\x32\x30\0\
\x66\x72\x6f\x6d\x5f\x70\x6f\x73\x69\x74\x69\x76\x65\x5f\x75\x6e\x6b\x6e\x6f\
\x77\x6e\x5f\x74\x6f\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\
\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x66\x72\x6f\x6d\x20\
\x70\x6f\x73\x69\x74\x69\x76\x65\x20\x75\x6e\x6b\x6e\x6f\x77\x6e\x20\x74\x6f\
\x20\x34\0\x66\x72\x6f\x6d\x5f\x74\x6f\x74\x61\x6c\x6c\x79\x5f\x75\x6e\x6b\x6e\
\x6f\x77\x6e\x5f\x74\x6f\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\
\x65\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x66\x72\x6f\x6d\
\x20\x74\x6f\x74\x61\x6c\x6c\x79\x20\x75\x6e\x6b\x6e\x6f\x77\x6e\x20\x74\x6f\
\x20\x34\0\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x34\x5f\x77\x69\x74\x68\x5f\x65\
\x71\x75\x61\x6c\x69\x74\x79\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\
\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x74\x6f\x20\x34\x20\
\x77\x69\x74\x68\x20\x65\x71\x75\x61\x6c\x69\x74\x79\0\x6c\x6f\x6f\x70\x5f\x73\
\x74\x61\x72\x74\x5f\x69\x6e\x5f\x74\x68\x65\x5f\x6d\x69\x64\x64\x6c\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x2c\x20\
\x73\x74\x61\x72\x74\x20\x69\x6e\x20\x74\x68\x65\x20\x6d\x69\x64\x64\x6c\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x5f\x75\x6e\x70\x72\x69\x76\x3d\x30\x3d\x62\x61\x63\x6b\x2d\x65\x64\x67\x65\0\
\x6c\x6f\x6f\x70\x5f\x63\x6f\x6e\x74\x61\x69\x6e\x69\x6e\x67\x5f\x61\x5f\x66\
\x6f\x72\x77\x61\x72\x64\x5f\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\
\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x20\x63\x6f\x6e\x74\x61\x69\x6e\x69\
\x6e\x67\x20\x61\x20\x66\x6f\x72\x77\x61\x72\x64\x20\x6a\x75\x6d\x70\0\x6a\x75\
\x6d\x70\x73\x5f\x6f\x75\x74\x5f\x72\x61\x74\x68\x65\x72\x5f\x74\x68\x61\x6e\
\x5f\x69\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x6c\x6f\
\x6f\x70\x20\x74\x68\x61\x74\x20\x6a\x75\x6d\x70\x73\x20\x6f\x75\x74\x20\x72\
\x61\x74\x68\x65\x72\x20\x74\x68\x61\x6e\x20\x69\x6e\0\x6c\x6f\x6f\x70\x5f\x61\
\x66\x74\x65\x72\x5f\x61\x5f\x63\x6f\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\x5f\
\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x66\x69\x6e\x69\x74\x65\x20\
\x6c\x6f\x6f\x70\x20\x61\x66\x74\x65\x72\x20\x61\x20\x63\x6f\x6e\x64\x69\x74\
\x69\x6f\x6e\x61\x6c\x20\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x3d\x70\x72\x6f\x67\x72\x61\x6d\x20\x69\x73\x20\x74\x6f\
\x6f\x20\x6c\x61\x72\x67\x65\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x72\x65\x63\x75\
\x72\x73\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\
\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x74\x68\x65\
\x20\x63\x61\x6c\x6c\x20\x73\x74\x61\x63\x6b\x20\x6f\x66\x20\x38\x20\x66\x72\
\x61\x6d\x65\x73\x20\x69\x73\x20\x74\x6f\x6f\x20\x64\x65\x65\x70\x20\x21\0\x62\
\x6f\x75\x6e\x64\x65\x64\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\x5f\x5f\x31\0\
\x69\x6e\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\x70\x5f\x69\x6e\x5f\x74\x77\
\x6f\x5f\x6a\x75\x6d\x70\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x66\x69\x6e\x69\
\x74\x65\x20\x6c\x6f\x6f\x70\x20\x69\x6e\x20\x74\x77\x6f\x20\x6a\x75\x6d\x70\
\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x6c\x6f\x6f\x70\x20\x64\x65\x74\x65\x63\x74\
\x65\x64\0\x69\x6e\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\x70\x5f\x74\x68\x72\
\x65\x65\x5f\x6a\x75\x6d\x70\x5f\x74\x72\x69\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x69\x6e\x66\x69\x6e\x69\x74\x65\x20\x6c\x6f\x6f\x70\x3a\x20\x74\x68\x72\x65\
\x65\x2d\x6a\x75\x6d\x70\x20\x74\x72\x69\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\
\x6c\x6f\x6f\x70\x20\x64\x65\x74\x65\x63\x74\x65\x64\0\x62\x61\x63\x6b\x5f\x6a\
\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6e\x6f\x74\x2d\x74\x61\x6b\x65\x6e\x20\x6c\x6f\x6f\x70\x20\
\x77\x69\x74\x68\x20\x62\x61\x63\x6b\x20\x6a\x75\x6d\x70\x20\x74\x6f\x20\x31\
\x73\x74\x20\x69\x6e\x73\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\x32\x33\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\
\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x74\x61\x6b\x65\x6e\x20\x6c\x6f\x6f\x70\x20\x77\x69\x74\x68\x20\x62\
\x61\x63\x6b\x20\x6a\x75\x6d\x70\x20\x74\x6f\x20\x31\x73\x74\x20\x69\x6e\x73\
\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x35\x35\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\
\x74\x5f\x69\x6e\x73\x6e\x5f\x32\x5f\x5f\x31\0\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\
\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x74\x61\x6b\
\x65\x6e\x20\x6c\x6f\x6f\x70\x20\x77\x69\x74\x68\x20\x62\x61\x63\x6b\x20\x6a\
\x75\x6d\x70\x20\x74\x6f\x20\x31\x73\x74\x20\x69\x6e\x73\x6e\x2c\x20\x32\0\x6a\
\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\x5f\x5f\
\x31\0\x6e\x6f\x74\x5f\x61\x6e\x5f\x69\x6e\x69\x66\x69\x6e\x69\x74\x65\x5f\x6c\
\x6f\x6f\x70\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\
\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\
\x30\x31\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\
\x6c\x6f\x6f\x70\x73\x31\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\
\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x74\x65\x78\x74\0\x78\x64\x70\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\
\x73\x6f\x63\x6b\x65\x74\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\xbc\0\0\0\xbc\
\0\0\x01\x54\0\0\x02\x10\0\0\0\0\0\0\0\x08\0\0\x07\xb4\0\0\0\x03\0\0\0\0\0\0\0\
\x26\0\0\0\x30\0\0\0\x37\0\0\0\x58\0\0\0\x3c\0\0\x07\xba\0\0\0\x06\0\0\0\0\0\0\
\0\x02\0\0\0\x20\0\0\0\x17\0\0\0\x48\0\0\0\x2f\0\0\0\x60\0\0\0\x33\0\0\0\x80\0\
\0\0\x38\0\0\0\xa0\0\0\0\x3d\0\0\x07\xbe\0\0\0\x09\0\0\0\0\0\0\0\x06\0\0\0\x20\
\0\0\0\x09\0\0\0\x48\0\0\0\x0c\0\0\0\x68\0\0\0\x0f\0\0\0\x88\0\0\0\x1b\0\0\0\
\xb8\0\0\0\x1e\0\0\0\xe0\0\0\0\x22\0\0\0\xf8\0\0\0\x27\0\0\x01\x18\0\0\0\x2b\0\
\0\x07\xc9\0\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\x07\xb4\0\0\0\x03\0\0\0\0\
\0\0\x07\x18\0\0\x07\x95\0\x02\x6c\x02\0\0\0\x30\0\0\x07\x18\0\0\x07\x95\0\x03\
\x90\x02\0\0\0\x58\0\0\x07\x18\0\0\x07\x95\0\x03\xf4\x02\0\0\x07\xba\0\0\0\x06\
\0\0\0\0\0\0\x07\x18\0\0\x07\x95\0\0\x34\x02\0\0\0\x20\0\0\x07\x18\0\0\x07\x95\
\0\x01\x88\x02\0\0\0\x48\0\0\x07\x18\0\0\x07\x95\0\x03\x34\x02\0\0\0\x60\0\0\
\x07\x18\0\0\x07\x95\0\x03\x64\x02\0\0\0\x80\0\0\x07\x18\0\0\x07\x95\0\x03\xc8\
\x02\0\0\0\xa0\0\0\x07\x18\0\0\x07\x95\0\x04\x28\x02\0\0\x07\xbe\0\0\0\x09\0\0\
\0\0\0\0\x07\x18\0\0\x07\x95\0\0\x68\x02\0\0\0\x20\0\0\x07\x18\0\0\x07\x95\0\0\
\x9c\x02\0\0\0\x48\0\0\x07\x18\0\0\x07\x95\0\0\xdc\x02\0\0\0\x68\0\0\x07\x18\0\
\0\x07\x95\0\x01\x18\x02\0\0\0\x88\0\0\x07\x18\0\0\x07\x95\0\x01\xc0\x02\0\0\0\
\xb8\0\0\x07\x18\0\0\x07\x95\0\x02\x04\x02\0\0\0\xe0\0\0\x07\x18\0\0\x07\x95\0\
\x02\x44\x02\0\0\0\xf8\0\0\x07\x18\0\0\x07\x95\0\x02\xa8\x02\0\0\x01\x18\0\0\
\x07\x18\0\0\x07\x95\0\x02\xdc\x02\0\0\x07\xc9\0\0\0\x01\0\0\0\0\0\0\x07\x18\0\
\0\x07\x95\0\x01\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\x02\xd9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\x04\xc8\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\
\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xe8\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x68\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\x68\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0a\xe8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x2d\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x10\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\xb4\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x18\0\0\0\0\0\0\0\x20\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xbc\0\0\0\x09\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x38\0\0\0\0\0\0\0\x10\0\0\0\
\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xcb\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x48\0\0\0\0\0\0\x0b\xd8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\xd0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x20\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_loops1 *verifier_loops1::open(const struct bpf_object_open_opts *opts) { return verifier_loops1__open_opts(opts); }
struct verifier_loops1 *verifier_loops1::open_and_load() { return verifier_loops1__open_and_load(); }
int verifier_loops1::load(struct verifier_loops1 *skel) { return verifier_loops1__load(skel); }
int verifier_loops1::attach(struct verifier_loops1 *skel) { return verifier_loops1__attach(skel); }
void verifier_loops1::detach(struct verifier_loops1 *skel) { verifier_loops1__detach(skel); }
void verifier_loops1::destroy(struct verifier_loops1 *skel) { verifier_loops1__destroy(skel); }
const void *verifier_loops1::elf_bytes(size_t *sz) { return verifier_loops1__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_loops1__assert(struct verifier_loops1 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_LOOPS1_SKEL_H__ */
