/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPROBE_MULTI_SESSION_SKEL_H__
#define __UPROBE_MULTI_SESSION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uprobe_multi_session {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *uprobe;
		struct bpf_program *uprobe_sleepable;
	} progs;
	struct {
		struct bpf_link *uprobe;
		struct bpf_link *uprobe_sleepable;
	} links;
	struct uprobe_multi_session__bss {
		__u64 uprobe_multi_func_1_addr;
		__u64 uprobe_multi_func_2_addr;
		__u64 uprobe_multi_func_3_addr;
		__u64 uprobe_session_result[3];
		__u64 uprobe_multi_sleep_result;
		void *user_ptr;
		int pid;
	} *bss;

#ifdef __cplusplus
	static inline struct uprobe_multi_session *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uprobe_multi_session *open_and_load();
	static inline int load(struct uprobe_multi_session *skel);
	static inline int attach(struct uprobe_multi_session *skel);
	static inline void detach(struct uprobe_multi_session *skel);
	static inline void destroy(struct uprobe_multi_session *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uprobe_multi_session__destroy(struct uprobe_multi_session *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uprobe_multi_session__create_skeleton(struct uprobe_multi_session *obj);

static inline struct uprobe_multi_session *
uprobe_multi_session__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uprobe_multi_session *obj;
	int err;

	obj = (struct uprobe_multi_session *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uprobe_multi_session__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uprobe_multi_session__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uprobe_multi_session *
uprobe_multi_session__open(void)
{
	return uprobe_multi_session__open_opts(NULL);
}

static inline int
uprobe_multi_session__load(struct uprobe_multi_session *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uprobe_multi_session *
uprobe_multi_session__open_and_load(void)
{
	struct uprobe_multi_session *obj;
	int err;

	obj = uprobe_multi_session__open();
	if (!obj)
		return NULL;
	err = uprobe_multi_session__load(obj);
	if (err) {
		uprobe_multi_session__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uprobe_multi_session__attach(struct uprobe_multi_session *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uprobe_multi_session__detach(struct uprobe_multi_session *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uprobe_multi_session__elf_bytes(size_t *sz);

static inline int
uprobe_multi_session__create_skeleton(struct uprobe_multi_session *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uprobe_multi_session";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "uprobe_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe";
	s->progs[0].prog = &obj->progs.uprobe;
	s->progs[0].link = &obj->links.uprobe;

	s->progs[1].name = "uprobe_sleepable";
	s->progs[1].prog = &obj->progs.uprobe_sleepable;
	s->progs[1].link = &obj->links.uprobe_sleepable;

	s->data = uprobe_multi_session__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uprobe_multi_session__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xa0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\x72\
\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\
\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\
\x69\x6f\x6e\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\
\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\
\x5f\x2a\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\
\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x73\x65\x73\x73\x69\x6f\x6e\x2e\x63\0\x75\x70\x72\x6f\x62\x65\0\
\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\
\x72\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\
\x5f\x33\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x61\x64\x64\x72\0\x70\x69\
\x64\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x72\x65\x73\
\x75\x6c\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\
\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x73\x6c\x65\x65\x70\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\
\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\
\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2e\
\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\
\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xaa\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\xb1\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\x11\0\0\x06\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x08\0\0\0\xe0\x11\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\xf9\
\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x01\x12\x11\0\0\x06\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x01\x16\x11\0\0\x06\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\x18\0\0\x01\x2c\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\x01\
\x3d\x11\0\0\x06\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x08\0\0\x01\x46\x11\0\0\x06\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\x01\x60\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\xbf\x71\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb7\x60\0\0\0\0\
\0\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x7b\xa1\xff\xf8\
\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x91\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x79\x81\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\
\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\
\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x19\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\xad\xb7\x10\0\0\0\0\0\0\x1d\x80\0\x05\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x1d\
\x90\0\x03\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x79\x2a\xff\xf8\0\0\0\0\x5d\x20\0\x07\
\0\0\0\0\x67\x10\0\0\0\0\0\x03\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x21\0\0\
\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x01\x7b\x21\0\0\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x1d\x01\0\x05\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x1d\x01\0\x01\0\0\0\0\xb7\x60\
\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\
\0\xff\xff\xff\xf7\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x09\x85\0\0\0\0\0\0\
\x94\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x09\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\xb6\x55\0\0\x05\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x01\x7b\x12\0\0\0\0\0\0\x85\x01\0\0\
\xff\xff\xff\xff\xb7\x60\0\0\0\0\0\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x11\0\0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\x91\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x81\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x19\
\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\0\0\0\xad\xb7\x10\0\0\0\0\0\0\x1d\x80\0\
\x05\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x1d\x90\0\x03\0\0\0\0\xb7\x10\0\0\0\0\0\x02\
\x79\x2a\xff\xe8\0\0\0\0\x5d\x20\0\x07\0\0\0\0\x67\x10\0\0\0\0\0\x03\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x10\0\0\
\0\0\0\x01\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\
\0\0\0\0\x1d\x01\0\x05\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\
\0\0\0\0\x1d\x01\0\x01\0\0\0\0\xb7\x60\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x74\x65\x73\x74\x5f\x64\x61\x74\x61\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\0\x18\0\0\0\x07\0\0\0\
\x01\0\0\0\0\0\0\0\x38\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x09\0\0\0\
\x01\0\0\0\0\0\0\0\x78\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x0b\0\0\0\
\x01\0\0\0\0\0\0\x01\x28\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\x01\x48\0\0\0\x07\0\0\
\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x04\0\0\0\
\x01\0\0\0\0\0\0\0\x78\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\xa0\0\0\0\x06\0\0\0\
\x0a\0\0\0\0\0\0\0\xb0\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\xd0\0\0\0\x08\0\0\0\
\x01\0\0\0\0\0\0\0\xe8\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\x01\x10\0\0\0\x0a\0\0\0\
\x01\0\0\0\0\0\0\x01\x90\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\x01\xc0\0\0\0\x09\0\0\
\0\x01\0\0\0\0\0\0\x01\xe0\0\0\0\x07\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\
\0\0\x02\x1c\0\0\x02\x1c\0\0\x04\x3c\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x07\
\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\x01\
\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x11\x0c\0\0\x01\0\0\0\x03\0\0\0\0\x0d\0\0\0\
\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\x1e\x0c\0\0\x02\0\0\
\0\x06\0\0\0\x34\x0c\0\0\x01\0\0\0\x03\0\0\0\x45\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\x4a\x01\0\0\
\0\0\0\0\x04\0\0\0\x20\0\0\0\x5e\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\x67\x08\0\
\0\0\0\0\0\x0f\0\0\0\x6d\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x80\x0e\0\0\0\0\0\
\0\x0e\0\0\0\x01\0\0\0\x99\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\xb2\x0e\0\0\0\0\
\0\0\x0e\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x0c\0\0\0\x03\0\0\
\0\xcb\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\xe1\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\xfb\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\x01\x04\
\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\
\0\0\x0a\0\0\x03\xc2\x0f\0\0\x01\0\0\0\x04\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\x03\
\xca\x0f\0\0\x07\0\0\0\x44\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\x11\0\0\0\x08\0\0\
\0\x08\0\0\0\x12\0\0\0\x10\0\0\0\x08\0\0\0\x14\0\0\0\x18\0\0\0\x18\0\0\0\x15\0\
\0\0\x30\0\0\0\x08\0\0\0\x17\0\0\0\x38\0\0\0\x08\0\0\0\x18\0\0\0\x40\0\0\0\x04\
\0\0\x03\xcf\x0f\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\x70\x74\x5f\x72\
\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x75\x70\x72\x6f\x62\x65\0\x5f\x42\
\x6f\x6f\x6c\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\
\x65\x74\x75\x72\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\x61\x62\
\x6c\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\
\x31\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\
\x66\x75\x6e\x63\x5f\x32\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x61\x64\x64\x72\0\x75\x70\x72\
\x6f\x62\x65\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x72\x65\x73\x75\x6c\x74\0\x75\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x73\x6c\x65\x65\x70\x5f\x72\
\x65\x73\x75\x6c\x74\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\x70\x69\x64\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\
\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\
\x30\x31\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\
\x6c\x74\x69\x5f\x73\x65\x73\x73\x69\x6f\x6e\x2e\x63\0\x69\x6e\x74\x20\x75\x70\
\x72\x6f\x62\x65\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\
\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x75\x70\x72\x6f\x62\
\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\x28\x63\x74\x78\x2c\x20\
\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\
\x72\x6e\x28\x29\x29\x3b\0\x09\x09\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x61\x64\x64\x72\x2c\0\x09\x09\x75\x70\x72\
\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x61\x64\
\x64\x72\x2c\0\x09\x09\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\
\x75\x6e\x63\x5f\x31\x5f\x61\x64\x64\x72\x2c\0\x09\x69\x66\x20\x28\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\
\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\
\x61\x64\x64\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\
\x5f\x69\x70\x28\x63\x74\x78\x29\x3b\0\x09\x09\x69\x66\x20\x28\x66\x75\x6e\x63\
\x73\x5b\x69\x5d\x20\x3d\x3d\x20\x61\x64\x64\x72\x29\x20\x7b\0\x09\x09\x09\x75\
\x70\x72\x6f\x62\x65\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x72\x65\x73\x75\x6c\
\x74\x5b\x69\x5d\x2b\x2b\x3b\0\x09\x69\x66\x20\x28\x28\x61\x64\x64\x72\x20\x3d\
\x3d\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\
\x5f\x31\x5f\x61\x64\x64\x72\x29\x20\x7c\x7c\0\x69\x6e\x74\x20\x75\x70\x72\x6f\
\x62\x65\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\x73\x74\x72\x75\x63\x74\
\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\
\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\x28\x64\x61\x74\x61\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x64\x61\x74\x61\x29\x2c\x20\x75\x73\x65\
\x72\x5f\x70\x74\x72\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\
\x73\x74\x72\x6e\x63\x6d\x70\x28\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x64\x61\x74\x61\x29\x2c\x20\x22\x74\x65\x73\x74\x5f\x64\x61\x74\x61\
\x22\x29\x20\x3d\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x76\x65\x72\x69\x66\x79\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x75\x73\x65\x72\x5f\x63\x6f\x70\
\x79\x28\x29\x29\0\x09\x09\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\
\x73\x6c\x65\x65\x70\x5f\x72\x65\x73\x75\x6c\x74\x2b\x2b\x3b\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x75\x70\x72\x6f\x62\
\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\
\x66\x75\x6e\x63\x5f\x2a\0\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\
\x6e\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\x02\x64\0\0\x02\x88\0\
\0\0\0\0\0\0\x08\0\0\x03\xd6\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x04\x08\0\0\0\x01\
\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\x03\xd6\0\0\0\x10\0\0\0\0\0\0\x01\x08\0\0\x01\
\x8a\0\0\xd0\0\0\0\0\x08\0\0\x01\x08\0\0\x01\xaa\0\0\xd8\x21\0\0\0\x18\0\0\x01\
\x08\0\0\x01\xe4\0\0\x68\x03\0\0\0\x30\0\0\x01\x08\0\0\x02\0\0\0\x64\x03\0\0\0\
\x50\0\0\x01\x08\0\0\x02\x1c\0\0\x60\x03\0\0\0\x68\0\0\x01\x08\0\0\x02\x38\0\0\
\x7c\x06\0\0\0\x70\0\0\x01\x08\0\0\x02\x38\0\0\x7c\x21\0\0\0\x78\0\0\x01\x08\0\
\0\x02\x38\0\0\x7c\x2a\0\0\0\xa0\0\0\x01\x08\0\0\x02\x38\0\0\x7c\x27\0\0\0\xa8\
\0\0\x01\x08\0\0\x02\x66\0\0\x88\x09\0\0\0\xc0\0\0\x01\x08\0\0\x02\x84\0\0\x94\
\x10\0\0\0\xf0\0\0\x01\x08\0\0\x02\x9e\0\0\x98\x04\0\0\x01\x10\0\0\x01\x08\0\0\
\x02\x9e\0\0\x98\x1c\0\0\x01\x28\0\0\x01\x08\0\0\x02\xbd\0\0\xb0\x0f\0\0\x01\
\x40\0\0\x01\x08\0\0\x02\xbd\0\0\xb0\x29\0\0\x01\x70\0\0\x01\x08\0\0\x01\xaa\0\
\0\xd8\x02\0\0\x04\x08\0\0\0\x15\0\0\0\0\0\0\x01\x08\0\0\x02\xe8\0\x01\x08\0\0\
\0\0\x08\0\0\x01\x08\0\0\x03\x12\0\0\xf4\x29\0\0\0\x30\0\0\x01\x08\0\0\x03\x12\
\0\0\xf4\x02\0\0\0\x48\0\0\x01\x08\0\0\x03\x45\0\0\xf8\x09\0\0\0\x70\0\0\x01\
\x08\0\0\x03\x80\0\x01\x10\x06\0\0\0\x78\0\0\x01\x08\0\0\x03\xa3\0\x01\x14\x1c\
\0\0\0\xa0\0\0\x01\x08\0\0\x01\xaa\0\x01\x18\x21\0\0\0\xb0\0\0\x01\x08\0\0\x01\
\xe4\0\0\x68\x03\0\0\0\xc8\0\0\x01\x08\0\0\x02\0\0\0\x64\x03\0\0\0\xe8\0\0\x01\
\x08\0\0\x02\x1c\0\0\x60\x03\0\0\x01\0\0\0\x01\x08\0\0\x02\x38\0\0\x7c\x06\0\0\
\x01\x08\0\0\x01\x08\0\0\x02\x38\0\0\x7c\x21\0\0\x01\x10\0\0\x01\x08\0\0\x02\
\x38\0\0\x7c\x2a\0\0\x01\x38\0\0\x01\x08\0\0\x02\x38\0\0\x7c\x27\0\0\x01\x40\0\
\0\x01\x08\0\0\x02\x66\0\0\x88\x09\0\0\x01\x58\0\0\x01\x08\0\0\x02\x84\0\0\x94\
\x10\0\0\x01\x88\0\0\x01\x08\0\0\x02\x9e\0\0\x98\x04\0\0\x01\xa8\0\0\x01\x08\0\
\0\x02\x9e\0\0\x98\x1c\0\0\x01\xc0\0\0\x01\x08\0\0\x02\xbd\0\0\xb0\x0f\0\0\x01\
\xd8\0\0\x01\x08\0\0\x02\xbd\0\0\xb0\x29\0\0\x02\x08\0\0\x01\x08\0\0\x01\xaa\0\
\x01\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xe5\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\x01\x80\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa8\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x05\x28\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x07\x40\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\x7f\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x48\0\0\
\0\0\0\0\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\
\0\x01\0\0\0\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x48\0\0\0\0\0\0\0\x0a\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\x01\x69\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x58\0\0\0\0\0\0\0\x80\0\0\0\x02\
\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x9f\0\0\0\x09\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xd8\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\
\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xd7\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\0\0\0\0\0\0\x06\x70\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xdc\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0e\xf8\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uprobe_multi_session *uprobe_multi_session::open(const struct bpf_object_open_opts *opts) { return uprobe_multi_session__open_opts(opts); }
struct uprobe_multi_session *uprobe_multi_session::open_and_load() { return uprobe_multi_session__open_and_load(); }
int uprobe_multi_session::load(struct uprobe_multi_session *skel) { return uprobe_multi_session__load(skel); }
int uprobe_multi_session::attach(struct uprobe_multi_session *skel) { return uprobe_multi_session__attach(skel); }
void uprobe_multi_session::detach(struct uprobe_multi_session *skel) { uprobe_multi_session__detach(skel); }
void uprobe_multi_session::destroy(struct uprobe_multi_session *skel) { uprobe_multi_session__destroy(skel); }
const void *uprobe_multi_session::elf_bytes(size_t *sz) { return uprobe_multi_session__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uprobe_multi_session__assert(struct uprobe_multi_session *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->uprobe_multi_func_1_addr) == 8, "unexpected size of 'uprobe_multi_func_1_addr'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_2_addr) == 8, "unexpected size of 'uprobe_multi_func_2_addr'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_3_addr) == 8, "unexpected size of 'uprobe_multi_func_3_addr'");
	_Static_assert(sizeof(s->bss->uprobe_session_result) == 24, "unexpected size of 'uprobe_session_result'");
	_Static_assert(sizeof(s->bss->uprobe_multi_sleep_result) == 8, "unexpected size of 'uprobe_multi_sleep_result'");
	_Static_assert(sizeof(s->bss->user_ptr) == 8, "unexpected size of 'user_ptr'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPROBE_MULTI_SESSION_SKEL_H__ */
