/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPROBE_MULTI_SESSION_RECURSIVE_SKEL_H__
#define __UPROBE_MULTI_SESSION_RECURSIVE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uprobe_multi_session_recursive {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *uprobe_recursive;
	} progs;
	struct {
		struct bpf_link *uprobe_recursive;
	} links;
	struct uprobe_multi_session_recursive__bss {
		int pid;
		int idx_entry;
		int idx_return;
		char __pad0[4];
		__u64 test_uprobe_cookie_entry[6];
		__u64 test_uprobe_cookie_return[3];
	} *bss;

#ifdef __cplusplus
	static inline struct uprobe_multi_session_recursive *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uprobe_multi_session_recursive *open_and_load();
	static inline int load(struct uprobe_multi_session_recursive *skel);
	static inline int attach(struct uprobe_multi_session_recursive *skel);
	static inline void detach(struct uprobe_multi_session_recursive *skel);
	static inline void destroy(struct uprobe_multi_session_recursive *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uprobe_multi_session_recursive__destroy(struct uprobe_multi_session_recursive *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uprobe_multi_session_recursive__create_skeleton(struct uprobe_multi_session_recursive *obj);

static inline struct uprobe_multi_session_recursive *
uprobe_multi_session_recursive__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uprobe_multi_session_recursive *obj;
	int err;

	obj = (struct uprobe_multi_session_recursive *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uprobe_multi_session_recursive__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uprobe_multi_session_recursive__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uprobe_multi_session_recursive *
uprobe_multi_session_recursive__open(void)
{
	return uprobe_multi_session_recursive__open_opts(NULL);
}

static inline int
uprobe_multi_session_recursive__load(struct uprobe_multi_session_recursive *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uprobe_multi_session_recursive *
uprobe_multi_session_recursive__open_and_load(void)
{
	struct uprobe_multi_session_recursive *obj;
	int err;

	obj = uprobe_multi_session_recursive__open();
	if (!obj)
		return NULL;
	err = uprobe_multi_session_recursive__load(obj);
	if (err) {
		uprobe_multi_session_recursive__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uprobe_multi_session_recursive__attach(struct uprobe_multi_session_recursive *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uprobe_multi_session_recursive__detach(struct uprobe_multi_session_recursive *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uprobe_multi_session_recursive__elf_bytes(size_t *sz);

static inline int
uprobe_multi_session_recursive__create_skeleton(struct uprobe_multi_session_recursive *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uprobe_multi_session_recursive";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "uprobe_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_recursive";
	s->progs[0].prog = &obj->progs.uprobe_recursive;
	s->progs[0].link = &obj->links.uprobe_recursive;

	s->data = uprobe_multi_session_recursive__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uprobe_multi_session_recursive__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x58\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\x72\
\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\
\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x73\x65\x73\x73\
\x69\x6f\x6e\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\
\x73\x65\x73\x73\x69\x6f\x6e\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\x2e\x63\0\
\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\0\x70\x69\x64\
\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\0\
\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\
\x72\x6e\0\x69\x64\x78\x5f\x72\x65\x74\x75\x72\x6e\0\x74\x65\x73\x74\x5f\x75\
\x70\x72\x6f\x62\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x72\x65\x74\x75\x72\x6e\0\
\x69\x64\x78\x5f\x65\x6e\x74\x72\x79\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\
\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x65\x6e\x74\x72\x79\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\
\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\
\x70\x72\x6f\x62\x65\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x72\x65\x63\x75\x72\
\x73\x69\x76\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\x04\0\xff\xf1\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x76\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x78\0\0\0\x87\x11\0\0\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x8b\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9e\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x11\0\0\
\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\xbf\x11\0\0\x05\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x18\0\0\0\xd9\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\xe3\x11\0\0\x05\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x30\0\0\0\xfc\x11\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x0e\xb7\x60\0\0\0\0\0\
\x01\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x24\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\xbf\x70\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x57\0\0\0\0\
\0\0\x01\x15\0\0\x0f\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\
\0\0\0\x25\x10\0\x1b\0\0\0\x02\x79\x37\0\0\0\0\0\0\xbf\x41\0\0\0\0\0\0\x07\x40\
\0\0\0\0\0\x01\x63\x24\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x03\x18\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x7b\x23\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\0\x05\
\0\0\x10\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x25\
\x10\0\x0c\0\0\0\x05\xbf\x31\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x03\x18\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\x43\0\0\0\0\0\0\x79\x34\0\0\0\0\0\0\x7b\x73\0\0\0\0\0\
\0\xbf\x31\0\0\0\0\0\0\x07\x30\0\0\0\0\0\x01\x63\x23\0\0\0\0\0\0\x57\x10\0\0\0\
\0\0\x01\xbf\x61\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x05\0\
\0\0\x0a\0\0\0\0\0\0\0\x58\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\0\x70\0\0\0\x07\0\0\
\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\xe8\0\0\0\x09\0\0\0\
\x01\0\0\0\0\0\0\x01\x18\0\0\0\x0a\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\
\0\x01\xfc\0\0\x01\xfc\0\0\x03\x23\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x07\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\x01\0\
\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x11\x0c\0\0\x01\0\0\0\x03\0\0\0\0\x0d\0\0\0\0\
\0\0\x07\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x22\x08\0\0\0\0\0\0\x09\0\0\0\x28\
\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x3b\x0c\0\0\x02\0\0\0\x06\0\0\0\0\x0d\0\0\
\0\0\0\0\x0c\0\0\0\x4e\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\x54\x0c\0\0\x02\0\
\0\0\x0b\0\0\0\x6a\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x0e\0\0\0\x10\0\0\0\x04\0\0\0\x6f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x83\
\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x8c\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x90\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x9a\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\0\x06\0\0\0\xa5\x0e\0\0\0\0\0\0\
\x15\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\0\x03\0\0\0\
\xbe\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\x02\xd8\x0f\0\0\x01\0\0\0\x04\0\0\0\x11\
\0\0\0\0\0\0\0\x04\0\0\x02\xe0\x0f\0\0\x05\0\0\0\x58\0\0\0\x12\0\0\0\0\0\0\0\
\x04\0\0\0\x13\0\0\0\x04\0\0\0\x04\0\0\0\x14\0\0\0\x08\0\0\0\x04\0\0\0\x16\0\0\
\0\x10\0\0\0\x30\0\0\0\x18\0\0\0\x40\0\0\0\x18\0\0\x02\xe5\x0f\0\0\x02\0\0\0\0\
\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\x70\x74\x5f\x72\x65\x67\
\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x63\x75\
\x72\x73\x69\x76\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\
\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\0\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\
\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x69\x64\x78\x5f\x65\
\x6e\x74\x72\x79\0\x69\x64\x78\x5f\x72\x65\x74\x75\x72\x6e\0\x74\x65\x73\x74\
\x5f\x75\x70\x72\x6f\x62\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x65\x6e\x74\x72\
\x79\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x63\x6f\x6f\x6b\x69\x65\
\x5f\x72\x65\x74\x75\x72\x6e\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2e\x73\x33\
\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x73\x65\x73\x73\x69\x6f\
\x6e\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\x2e\x63\0\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\x70\x69\x64\
\x29\0\x09\x5f\x5f\x75\x36\x34\x20\x2a\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x62\
\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x29\
\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\
\x73\x5f\x72\x65\x74\x75\x72\x6e\x28\x29\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\
\x69\x64\x78\x5f\x72\x65\x74\x75\x72\x6e\x20\x3e\x3d\x20\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x28\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x63\
\x6f\x6f\x6b\x69\x65\x5f\x72\x65\x74\x75\x72\x6e\x29\x29\0\x09\x09\x74\x65\x73\
\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x72\x65\x74\
\x75\x72\x6e\x5b\x69\x64\x78\x5f\x72\x65\x74\x75\x72\x6e\x2b\x2b\x5d\x20\x3d\
\x20\x2a\x63\x6f\x6f\x6b\x69\x65\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x09\x69\x66\x20\x28\x69\x64\x78\x5f\x65\x6e\x74\x72\x79\x20\x3e\x3d\x20\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x28\x74\x65\x73\x74\x5f\x75\x70\x72\
\x6f\x62\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x65\x6e\x74\x72\x79\x29\x29\0\x09\
\x2a\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x65\x6e\x74\x72\x79\x5b\x69\x64\x78\
\x5f\x65\x6e\x74\x72\x79\x5d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x69\x64\x78\
\x5f\x65\x6e\x74\x72\x79\x2b\x2b\x20\x25\x20\x32\x3b\0\x7d\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x75\x70\x72\x6f\x62\
\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x73\x65\x73\x73\x69\x6f\
\x6e\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\x01\x4c\0\0\x01\x60\0\0\0\0\0\0\0\x08\0\0\x02\xec\0\
\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\x02\xec\0\0\0\x14\0\0\0\0\0\0\0\xd8\0\
\0\x01\x64\0\0\xa0\x06\0\0\0\x10\0\0\0\xd8\0\0\x01\x64\0\0\xa0\x21\0\0\0\x18\0\
\0\0\xd8\0\0\x01\x64\0\0\xa0\x2a\0\0\0\x40\0\0\0\xd8\0\0\x01\x64\0\0\xa0\x27\0\
\0\0\x48\0\0\0\xd8\0\0\x01\x92\0\0\x54\x12\0\0\0\x58\0\0\0\xd8\0\0\x01\xb9\0\0\
\x5c\x06\0\0\0\x70\0\0\0\xd8\0\0\x01\xd9\0\0\x60\x07\0\0\0\x88\0\0\0\xd8\0\0\
\x01\xd9\0\0\x60\x12\0\0\0\x90\0\0\0\xd8\0\0\x02\x14\0\0\x68\x2d\0\0\0\x98\0\0\
\0\xd8\0\0\x02\x14\0\0\x68\x27\0\0\0\xb0\0\0\0\xd8\0\0\x02\x14\0\0\x68\x03\0\0\
\0\xd0\0\0\0\xd8\0\0\x02\x14\0\0\x68\x2b\0\0\0\xe0\0\0\0\xd8\0\0\x02\x49\0\0\
\x6c\x03\0\0\0\xe8\0\0\0\xd8\0\0\x02\x55\0\0\x78\x06\0\0\x01\0\0\0\0\xd8\0\0\
\x02\x55\0\0\x78\x10\0\0\x01\x08\0\0\0\xd8\0\0\x02\x8d\0\0\x80\x0c\0\0\x01\x38\
\0\0\0\xd8\0\0\x02\x8d\0\0\x80\x0a\0\0\x01\x40\0\0\0\xd8\0\0\x02\xbd\0\0\x84\
\x12\0\0\x01\x58\0\0\0\xd8\0\0\x02\xbd\0\0\x84\x15\0\0\x01\x68\0\0\0\xd8\0\0\
\x02\xd6\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\x01\x4e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x90\0\0\0\0\0\0\x01\x20\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\x01\x78\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\x30\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\x01\x05\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x30\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x01\x40\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xa0\
\0\0\0\0\0\0\x05\x37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\
\x45\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd8\0\0\0\0\0\0\
\x01\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uprobe_multi_session_recursive *uprobe_multi_session_recursive::open(const struct bpf_object_open_opts *opts) { return uprobe_multi_session_recursive__open_opts(opts); }
struct uprobe_multi_session_recursive *uprobe_multi_session_recursive::open_and_load() { return uprobe_multi_session_recursive__open_and_load(); }
int uprobe_multi_session_recursive::load(struct uprobe_multi_session_recursive *skel) { return uprobe_multi_session_recursive__load(skel); }
int uprobe_multi_session_recursive::attach(struct uprobe_multi_session_recursive *skel) { return uprobe_multi_session_recursive__attach(skel); }
void uprobe_multi_session_recursive::detach(struct uprobe_multi_session_recursive *skel) { uprobe_multi_session_recursive__detach(skel); }
void uprobe_multi_session_recursive::destroy(struct uprobe_multi_session_recursive *skel) { uprobe_multi_session_recursive__destroy(skel); }
const void *uprobe_multi_session_recursive::elf_bytes(size_t *sz) { return uprobe_multi_session_recursive__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uprobe_multi_session_recursive__assert(struct uprobe_multi_session_recursive *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->idx_entry) == 4, "unexpected size of 'idx_entry'");
	_Static_assert(sizeof(s->bss->idx_return) == 4, "unexpected size of 'idx_return'");
	_Static_assert(sizeof(s->bss->test_uprobe_cookie_entry) == 48, "unexpected size of 'test_uprobe_cookie_entry'");
	_Static_assert(sizeof(s->bss->test_uprobe_cookie_return) == 24, "unexpected size of 'test_uprobe_cookie_return'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPROBE_MULTI_SESSION_RECURSIVE_SKEL_H__ */
