/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __STRUCT_OPS_PRIVATE_STACK_RECUR_SKEL_H__
#define __STRUCT_OPS_PRIVATE_STACK_RECUR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct struct_ops_private_stack_recur {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *bss;
		struct bpf_map *testmod_1;
	} maps;
	struct {
		struct struct_ops_private_stack_recur__testmod_1__bpf_testmod_ops3 {
			struct bpf_program *test_1;
			struct bpf_program *test_2;
		} *testmod_1;
	} struct_ops;
	struct {
		struct bpf_program *test_1;
	} progs;
	struct {
		struct bpf_link *test_1;
		struct bpf_link *testmod_1;
	} links;
	struct struct_ops_private_stack_recur__data {
		bool skip;
	} *data;
	struct struct_ops_private_stack_recur__bss {
		int val_i;
		int val_j;
	} *bss;

#ifdef __cplusplus
	static inline struct struct_ops_private_stack_recur *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct struct_ops_private_stack_recur *open_and_load();
	static inline int load(struct struct_ops_private_stack_recur *skel);
	static inline int attach(struct struct_ops_private_stack_recur *skel);
	static inline void detach(struct struct_ops_private_stack_recur *skel);
	static inline void destroy(struct struct_ops_private_stack_recur *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
struct_ops_private_stack_recur__destroy(struct struct_ops_private_stack_recur *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
struct_ops_private_stack_recur__create_skeleton(struct struct_ops_private_stack_recur *obj);

static inline struct struct_ops_private_stack_recur *
struct_ops_private_stack_recur__open_opts(const struct bpf_object_open_opts *opts)
{
	struct struct_ops_private_stack_recur *obj;
	int err;

	obj = (struct struct_ops_private_stack_recur *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = struct_ops_private_stack_recur__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.testmod_1 = (__typeof__(obj->struct_ops.testmod_1))
		bpf_map__initial_value(obj->maps.testmod_1, NULL);

	return obj;
err_out:
	struct_ops_private_stack_recur__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct struct_ops_private_stack_recur *
struct_ops_private_stack_recur__open(void)
{
	return struct_ops_private_stack_recur__open_opts(NULL);
}

static inline int
struct_ops_private_stack_recur__load(struct struct_ops_private_stack_recur *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct struct_ops_private_stack_recur *
struct_ops_private_stack_recur__open_and_load(void)
{
	struct struct_ops_private_stack_recur *obj;
	int err;

	obj = struct_ops_private_stack_recur__open();
	if (!obj)
		return NULL;
	err = struct_ops_private_stack_recur__load(obj);
	if (err) {
		struct_ops_private_stack_recur__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
struct_ops_private_stack_recur__attach(struct struct_ops_private_stack_recur *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
struct_ops_private_stack_recur__detach(struct struct_ops_private_stack_recur *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *struct_ops_private_stack_recur__elf_bytes(size_t *sz);

static inline int
struct_ops_private_stack_recur__create_skeleton(struct struct_ops_private_stack_recur *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "struct_ops_private_stack_recur";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "struct_o.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "struct_o.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "testmod_1";
	map->map = &obj->maps.testmod_1;
	map->link = &obj->links.testmod_1;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_1";
	s->progs[0].prog = &obj->progs.test_1;
	s->progs[0].link = &obj->links.test_1;

	s->data = struct_ops_private_stack_recur__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *struct_ops_private_stack_recur__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x90\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x64\x61\x74\x61\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\
\x62\x73\x73\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x5f\x70\x72\x69\x76\x61\
\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x63\x75\x72\x2e\x63\0\x73\x75\x62\
\x70\x72\x6f\x67\x31\0\x73\x75\x62\x70\x72\x6f\x67\x32\0\x74\x65\x73\x74\x5f\
\x31\0\x76\x61\x6c\x5f\x6a\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\
\x6f\x70\x73\x33\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x31\0\x76\x61\x6c\
\x5f\x69\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\x69\x70\0\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x31\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\
\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x04\0\xff\
\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x02\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\0\x6b\x02\0\0\x03\0\0\0\0\0\0\
\x01\xc8\0\0\0\0\0\0\0\x40\0\0\0\x74\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\0\0\0\x7b\x11\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\x81\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\xa4\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\xad\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\xb2\x11\0\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\xb7\x20\0\0\0\0\0\0\x7b\xa2\xff\xf8\0\0\0\0\x7b\
\xa2\xff\xf0\0\0\0\0\x7b\xa2\xff\xe8\0\0\0\0\x7b\xa2\xff\xe0\0\0\0\0\x7b\xa2\
\xff\xd8\0\0\0\0\x7b\xa2\xff\xd0\0\0\0\0\x7b\xa2\xff\xc8\0\0\0\0\x7b\xa2\xff\
\xc0\0\0\0\0\x7b\xa2\xff\xb8\0\0\0\0\x7b\xa2\xff\xb0\0\0\0\0\x7b\xa2\xff\xa8\0\
\0\0\0\x7b\xa2\xff\xa0\0\0\0\0\x7b\xa2\xff\x98\0\0\0\0\x7b\xa2\xff\x90\0\0\0\0\
\x7b\xa2\xff\x88\0\0\0\0\x7b\xa2\xff\x80\0\0\0\0\x7b\xa2\xff\x78\0\0\0\0\x7b\
\xa2\xff\x70\0\0\0\0\x7b\xa2\xff\x68\0\0\0\0\x7b\xa2\xff\x60\0\0\0\0\x7b\xa2\
\xff\x58\0\0\0\0\x7b\xa2\xff\x50\0\0\0\0\x7b\xa2\xff\x48\0\0\0\0\x7b\xa2\xff\
\x40\0\0\0\0\x7b\xa2\xff\x38\0\0\0\0\x7b\xa2\xff\x30\0\0\0\0\x7b\xa2\xff\x28\0\
\0\0\0\x7b\xa2\xff\x20\0\0\0\0\x7b\xa2\xff\x18\0\0\0\0\x7b\xa2\xff\x10\0\0\0\0\
\x7b\xa2\xff\x08\0\0\0\0\x7b\xa2\xff\0\0\0\0\0\x7b\xa2\xfe\xf8\0\0\0\0\x7b\xa2\
\xfe\xf0\0\0\0\0\x7b\xa2\xfe\xe8\0\0\0\0\x7b\xa2\xfe\xe0\0\0\0\0\x7b\xa2\xfe\
\xd8\0\0\0\0\x7b\xa2\xfe\xd0\0\0\0\0\x7b\xa2\xfe\xc8\0\0\0\0\x7b\xa2\xfe\xc0\0\
\0\0\0\x7b\xa2\xfe\xb8\0\0\0\0\x7b\xa2\xfe\xb0\0\0\0\0\x7b\xa2\xfe\xa8\0\0\0\0\
\x7b\xa2\xfe\xa0\0\0\0\0\x7b\xa2\xfe\x98\0\0\0\0\x7b\xa2\xfe\x90\0\0\0\0\x7b\
\xa2\xfe\x88\0\0\0\0\x7b\xa2\xfe\x80\0\0\0\0\x7b\xa2\xfe\x78\0\0\0\0\x7b\xa2\
\xfe\x70\0\0\0\0\xb4\x20\0\0\0\0\0\x02\x63\xa2\xfe\xc0\0\0\0\0\xbf\x2a\0\0\0\0\
\0\0\x07\x20\0\0\xff\xff\xfe\x70\x85\x01\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\x18\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\0\0\0\x61\x01\0\x04\0\0\0\0\x0c\
\x03\0\0\0\0\0\0\x61\x12\0\x50\0\0\0\0\x0c\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xb4\x10\0\
\0\0\0\0\x01\x63\xa1\xff\xec\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xf8\0\0\0\
\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe8\x85\x01\0\0\xff\xff\xff\xff\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x0c\x20\0\0\0\0\0\0\
\x63\x12\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x47\x50\x4c\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\xc8\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\
\x50\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\0\0\
\0\0\0\x06\0\0\0\x02\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\x1c\0\0\x02\x1c\0\
\0\x02\x5c\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\
\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\x03\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\
\0\x23\x0c\0\0\x02\0\0\0\x06\0\0\0\0\x02\0\0\0\0\0\0\x04\0\0\0\0\x0d\0\0\x01\0\
\0\0\x04\0\0\0\x40\0\0\0\x08\0\0\0\x42\x0c\0\0\0\0\0\0\x09\0\0\0\0\x0d\0\0\x02\
\0\0\0\x04\0\0\0\x40\0\0\0\x08\0\0\0\x4b\0\0\0\x08\0\0\0\x4d\x0c\0\0\0\0\0\0\
\x0b\0\0\0\x56\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\x0f\0\0\0\x04\0\0\0\x5b\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x6f\x0e\
\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x78\x08\0\0\0\0\0\0\x12\0\0\0\x7d\x01\0\0\0\0\
\0\0\x01\x04\0\0\x08\0\0\0\x83\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x88\x04\0\0\
\x02\0\0\0\x10\0\0\0\x1c\0\0\0\x15\0\0\0\0\0\0\0\x99\0\0\0\x15\0\0\0\x40\0\0\0\
\0\x02\0\0\0\0\0\0\x16\0\0\0\0\x0d\0\0\0\0\0\0\x04\0\0\0\xa0\x0e\0\0\0\0\0\0\
\x14\0\0\0\x01\0\0\0\xaa\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\x0e\0\0\0\0\0\
\0\x04\0\0\0\x01\0\0\x02\x25\x0f\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\
\0\0\x02\x2d\x0f\0\0\x01\0\0\0\x01\0\0\0\x13\0\0\0\0\0\0\0\x01\0\0\x02\x33\x0f\
\0\0\x01\0\0\0\x10\0\0\0\x17\0\0\0\0\0\0\0\x10\0\0\x02\x3f\x0f\0\0\x02\0\0\0\
\x08\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\x19\0\0\0\x04\0\0\0\x04\0\0\x02\x44\x0f\
\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\
\x73\x74\x5f\x31\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\
\x33\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x31\0\x61\0\x73\x75\x62\x70\
\x72\x6f\x67\x31\0\x62\0\x73\x75\x62\x70\x72\x6f\x67\x32\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x73\
\x6b\x69\x70\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\x33\
\0\x74\x65\x73\x74\x5f\x32\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x31\0\x76\x61\x6c\
\x5f\x69\0\x76\x61\x6c\x5f\x6a\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x31\x2e\x65\x6c\x31\x30\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x5f\x70\x72\x69\x76\x61\x74\x65\
\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x63\x75\x72\x2e\x63\0\x5f\x5f\x6e\x6f\x69\
\x6e\x6c\x69\x6e\x65\x20\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x73\x75\
\x62\x70\x72\x6f\x67\x31\x28\x69\x6e\x74\x20\x2a\x61\x29\0\x09\x69\x6e\x74\x20\
\x62\x5b\x31\x30\x30\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x5b\x32\x30\x5d\x20\
\x3d\x20\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\x67\
\x32\x28\x61\x2c\x20\x62\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x76\x61\x6c\
\x5f\x69\x20\x2b\x20\x61\x5b\x31\x5d\x20\x2b\x20\x62\x5b\x32\x30\x5d\x3b\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x31\x29\0\
\x09\x69\x6e\x74\x20\x61\x5b\x35\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x61\x5b\x31\
\x5d\x20\x3d\x20\x31\x3b\0\x09\x76\x61\x6c\x5f\x6a\x20\x2b\x3d\x20\x73\x75\x62\
\x70\x72\x6f\x67\x31\x28\x61\x29\x3b\0\x09\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\
\x6f\x64\x5f\x6f\x70\x73\x33\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x31\
\x28\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x64\x61\x74\x61\0\x2e\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\
\x2e\x74\x65\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\xeb\x9f\x01\0\
\0\0\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\x01\x44\0\0\x01\x70\0\0\0\0\0\0\0\
\x08\0\0\x02\x4b\0\0\0\x02\0\0\0\0\0\0\0\x0a\0\0\x01\xc8\0\0\0\x0c\0\0\x02\x51\
\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\x02\x4b\0\0\0\x0b\0\0\0\0\0\0\0\xb6\
\0\0\x01\x42\0\0\x64\0\0\0\0\x08\0\0\0\xb6\0\0\x01\x69\0\0\x70\x06\0\0\x01\xa0\
\0\0\0\xb6\0\0\x01\x7b\0\0\x78\x08\0\0\x01\xb8\0\0\0\xb6\0\0\x01\x87\0\0\x7c\
\x09\0\0\x01\xc0\0\0\0\xb6\0\0\x01\x87\0\0\x7c\x02\0\0\x01\xc8\0\0\0\xb6\0\0\
\x01\x9f\0\0\x58\x09\0\0\x01\xe0\0\0\0\xb6\0\0\x01\x9f\0\0\x58\x11\0\0\x01\xe8\
\0\0\0\xb6\0\0\x01\x9f\0\0\x58\x0f\0\0\x01\xf0\0\0\0\xb6\0\0\x01\x9f\0\0\x58\
\x18\0\0\x01\xf8\0\0\0\xb6\0\0\x01\x9f\0\0\x58\x16\0\0\x02\0\0\0\0\xb6\0\0\x01\
\x9f\0\0\x58\x02\0\0\x02\x51\0\0\0\x08\0\0\0\0\0\0\0\xb6\0\0\x01\xbd\0\0\x90\0\
\0\0\0\x08\0\0\0\xb6\0\0\x01\xd2\0\0\x9c\x06\0\0\0\x20\0\0\0\xb6\0\0\x01\xe2\0\
\0\xa4\x07\0\0\0\x30\0\0\0\xb6\0\0\x01\xd2\0\0\x9c\x06\0\0\0\x48\0\0\0\xb6\0\0\
\x01\xed\0\0\xa8\x0b\0\0\0\x50\0\0\0\xb6\0\0\x01\xed\0\0\xa8\x08\0\0\0\x78\0\0\
\0\xb6\0\0\x02\x04\0\0\xac\x02\0\0\0\x80\0\0\0\xb6\0\0\x01\xbd\0\0\x90\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf3\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\x01\x38\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\x70\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x78\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x08\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x0c\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x05\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\xbc\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x05\x20\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\xc6\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\x30\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\xd5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x60\
\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\0\xe5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x70\0\0\0\0\0\
\0\x04\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xea\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\x01\x90\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct struct_ops_private_stack_recur *struct_ops_private_stack_recur::open(const struct bpf_object_open_opts *opts) { return struct_ops_private_stack_recur__open_opts(opts); }
struct struct_ops_private_stack_recur *struct_ops_private_stack_recur::open_and_load() { return struct_ops_private_stack_recur__open_and_load(); }
int struct_ops_private_stack_recur::load(struct struct_ops_private_stack_recur *skel) { return struct_ops_private_stack_recur__load(skel); }
int struct_ops_private_stack_recur::attach(struct struct_ops_private_stack_recur *skel) { return struct_ops_private_stack_recur__attach(skel); }
void struct_ops_private_stack_recur::detach(struct struct_ops_private_stack_recur *skel) { struct_ops_private_stack_recur__detach(skel); }
void struct_ops_private_stack_recur::destroy(struct struct_ops_private_stack_recur *skel) { struct_ops_private_stack_recur__destroy(skel); }
const void *struct_ops_private_stack_recur::elf_bytes(size_t *sz) { return struct_ops_private_stack_recur__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
struct_ops_private_stack_recur__assert(struct struct_ops_private_stack_recur *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->skip) == 1, "unexpected size of 'skip'");
	_Static_assert(sizeof(s->bss->val_i) == 4, "unexpected size of 'val_i'");
	_Static_assert(sizeof(s->bss->val_j) == 4, "unexpected size of 'val_j'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __STRUCT_OPS_PRIVATE_STACK_RECUR_SKEL_H__ */
