/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPDATE_MAP_IN_HTAB_SKEL_H__
#define __UPDATE_MAP_IN_HTAB_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct update_map_in_htab {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *inner_map;
		struct bpf_map *outer_htab_map;
		struct bpf_map *outer_alloc_htab_map;
	} maps;

#ifdef __cplusplus
	static inline struct update_map_in_htab *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct update_map_in_htab *open_and_load();
	static inline int load(struct update_map_in_htab *skel);
	static inline int attach(struct update_map_in_htab *skel);
	static inline void detach(struct update_map_in_htab *skel);
	static inline void destroy(struct update_map_in_htab *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
update_map_in_htab__destroy(struct update_map_in_htab *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
update_map_in_htab__create_skeleton(struct update_map_in_htab *obj);

static inline struct update_map_in_htab *
update_map_in_htab__open_opts(const struct bpf_object_open_opts *opts)
{
	struct update_map_in_htab *obj;
	int err;

	obj = (struct update_map_in_htab *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = update_map_in_htab__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	update_map_in_htab__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct update_map_in_htab *
update_map_in_htab__open(void)
{
	return update_map_in_htab__open_opts(NULL);
}

static inline int
update_map_in_htab__load(struct update_map_in_htab *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct update_map_in_htab *
update_map_in_htab__open_and_load(void)
{
	struct update_map_in_htab *obj;
	int err;

	obj = update_map_in_htab__open();
	if (!obj)
		return NULL;
	err = update_map_in_htab__load(obj);
	if (err) {
		update_map_in_htab__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
update_map_in_htab__attach(struct update_map_in_htab *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
update_map_in_htab__detach(struct update_map_in_htab *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *update_map_in_htab__elf_bytes(size_t *sz);

static inline int
update_map_in_htab__create_skeleton(struct update_map_in_htab *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "update_map_in_htab";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "inner_map";
	map->map = &obj->maps.inner_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "outer_htab_map";
	map->map = &obj->maps.outer_htab_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "outer_alloc_htab_map";
	map->map = &obj->maps.outer_alloc_htab_map;

	s->data = update_map_in_htab__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *update_map_in_htab__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xe8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x06\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x75\x70\x64\x61\x74\x65\x5f\x6d\x61\
\x70\x5f\x69\x6e\x5f\x68\x74\x61\x62\x2e\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\0\x6f\x75\x74\x65\x72\x5f\x68\x74\x61\
\x62\x5f\x6d\x61\x70\0\x6f\x75\x74\x65\x72\x5f\x61\x6c\x6c\x6f\x63\x5f\x68\x74\
\x61\x62\x5f\x6d\x61\x70\0\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1f\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x34\x11\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x3d\x11\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x47\x11\0\0\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x20\0\0\0\x56\x11\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x28\x47\x50\x4c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x02\x68\0\0\x02\x68\0\0\0\xb2\0\0\0\0\x02\0\0\0\0\0\0\x03\
\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\
\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\x02\
\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\
\x19\x04\0\0\x04\0\0\0\x20\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x2d\0\0\0\x05\0\0\
\0\x40\0\0\0\x36\0\0\0\x05\0\0\0\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x4d\
\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x0d\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\
\0\0\0\0\0\x09\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x04\0\0\0\0\0\0\0\0\
\x04\0\0\x05\0\0\0\x20\0\0\0\x28\0\0\0\x0b\0\0\0\0\0\0\0\x57\0\0\0\x0d\0\0\0\
\x40\0\0\0\x5b\0\0\0\x0d\0\0\0\x80\0\0\0\x41\0\0\0\x01\0\0\0\xc0\0\0\0\x61\0\0\
\0\x0f\0\0\x01\0\0\0\0\x68\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\0\x04\0\0\x06\0\
\0\0\x28\0\0\0\x28\0\0\0\x0b\0\0\0\0\0\0\0\x77\0\0\0\x07\0\0\0\x40\0\0\0\x57\0\
\0\0\x0d\0\0\0\x80\0\0\0\x5b\0\0\0\x0d\0\0\0\xc0\0\0\0\x41\0\0\0\x01\0\0\x01\0\
\0\0\0\x61\0\0\0\x0f\0\0\x01\x40\0\0\0\x81\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\
\x96\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\
\x04\0\0\0\x04\0\0\0\x9b\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\xa4\x0f\0\0\x01\0\
\0\0\x04\0\0\0\x16\0\0\0\0\0\0\0\x04\0\0\0\xac\x0f\0\0\x03\0\0\0\x68\0\0\0\x0a\
\0\0\0\0\0\0\0\x20\0\0\0\x11\0\0\0\x20\0\0\0\x20\0\0\0\x13\0\0\0\x40\0\0\0\x28\
\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\
\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x69\x6e\x6e\
\x65\x72\x5f\x6d\x61\x70\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x76\x61\x6c\x75\
\x65\x73\0\x6f\x75\x74\x65\x72\x5f\x68\x74\x61\x62\x5f\x6d\x61\x70\0\x6d\x61\
\x70\x5f\x66\x6c\x61\x67\x73\0\x6f\x75\x74\x65\x72\x5f\x61\x6c\x6c\x6f\x63\x5f\
\x68\x74\x61\x62\x5f\x6d\x61\x70\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\x40\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\
\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x6b\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xb0\0\0\0\0\0\0\x03\
\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct update_map_in_htab *update_map_in_htab::open(const struct bpf_object_open_opts *opts) { return update_map_in_htab__open_opts(opts); }
struct update_map_in_htab *update_map_in_htab::open_and_load() { return update_map_in_htab__open_and_load(); }
int update_map_in_htab::load(struct update_map_in_htab *skel) { return update_map_in_htab__load(skel); }
int update_map_in_htab::attach(struct update_map_in_htab *skel) { return update_map_in_htab__attach(skel); }
void update_map_in_htab::detach(struct update_map_in_htab *skel) { update_map_in_htab__detach(skel); }
void update_map_in_htab::destroy(struct update_map_in_htab *skel) { update_map_in_htab__destroy(skel); }
const void *update_map_in_htab::elf_bytes(size_t *sz) { return update_map_in_htab__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
update_map_in_htab__assert(struct update_map_in_htab *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPDATE_MAP_IN_HTAB_SKEL_H__ */
